Debian Bug report logs - #611195
vlc-nox: generating plugin cache at postinst segfaults on PaX kernel

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Pierre Ynard <linkfanel@yahoo.fr>

Date: Wed, 26 Jan 2011 16:06:01 UTC

Severity: normal

Tags: patch

Fixed in versions eglibc/2.13-0exp2, eglibc/2.13-0exp3, eglibc/2.13-0exp4, eglibc/2.13-0exp5, eglibc/2.13-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sources.redhat.com/bugzilla/show_bug.cgi?id=12492

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, linkfanel@yahoo.fr, pageexec@freemail.hu, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#611195; Package vlc-nox. (Wed, 26 Jan 2011 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Ynard <linkfanel@yahoo.fr>:
New Bug report received and forwarded. Copy sent to linkfanel@yahoo.fr, pageexec@freemail.hu, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 26 Jan 2011 16:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Ynard <linkfanel@yahoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vlc-nox: generating plugin cache at postinst segfaults on PaX kernel
Date: Wed, 26 Jan 2011 17:03:23 +0100
Package: vlc-nox
Version: 1.1.3-1squeeze2
Severity: normal

Upgrading gives the following error:

Setting up vlc-nox (1.1.3-1squeeze2) ...
Segmentation fault
dpkg: error processing vlc-nox (--configure):
 subprocess installed post-installation script returned error exit status 139

Apparently, vlc-cache-gen segfaults when processing the sdl_image plugin:

stat64("/usr/lib/vlc/plugins/codec/liblpcm_plugin.so", {st_mode=S_IFREG|0644, st_size=9820, ...}) = 0
open("/usr/lib/vlc/plugins/codec/liblpcm_plugin.so", O_RDONLY) = 5
read(5, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\6\0\0004\0\0\0"..., 512) = 512
fstat64(5, {st_mode=S_IFREG|0644, st_size=9820, ...}) = 0
mmap2(NULL, 12652, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) = 0x4687b000
mmap2(0x4687e000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x2) = 0x4687e000
close(5)                                = 0
stat64("/usr/lib/vlc/plugins/codec/libsdl_image_plugin.so", {st_mode=S_IFREG|0644, st_size=6852, ...}) = 0
open("/usr/lib/vlc/plugins/codec/libsdl_image_plugin.so", O_RDONLY) = 5
read(5, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\7\0\0004\0\0\0"..., 512) = 512
fstat64(5, {st_mode=S_IFREG|0644, st_size=6852, ...}) = 0
mmap2(NULL, 9628, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) = 0x4747a000
mmap2(0x4747c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x1) = 0x4747c000
close(5)                                = 0
open("/etc/ld.so.cache", O_RDONLY)      = 5
fstat64(5, {st_mode=S_IFREG|0644, st_size=50711, ...}) = 0
mmap2(NULL, 50711, PROT_READ, MAP_PRIVATE, 5, 0) = 0x4686e000
close(5)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/libSDL_image-1.2.so.0", O_RDONLY) = 5
read(5, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\30\0\0004\0\0\0"..., 512) = 512
fstat64(5, {st_mode=S_IFREG|0644, st_size=47072, ...}) = 0
brk(0x80fe000)                          = 0x80fe000
mmap2(NULL, 113072, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) = 0x46852000
mmap2(0x4685d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0xb) = 0x4685d000
mmap2(0x4685e000, 63920, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4685e000
close(5)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/libSDL-1.2.so.0", O_RDONLY) = 5
read(5, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p]\0\0004\0\0\0"..., 512) = 512
fstat64(5, {st_mode=S_IFREG|0644, st_size=421876, ...}) = 0
mmap2(NULL, 720688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) = 0x467a2000
mmap2(0x46808000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0x65) = 0x46808000
mmap2(0x4680a000, 294704, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4680a000
mprotect(0x4946b000, 3840, PROT_READ|PROT_WRITE) = -1 EACCES (Permission denied)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
zsh: segmentation fault  strace -f /usr/lib/vlc/vlc-cache-gen /usr/lib/vlc/plugins

Note the mprotect() error, as logged by the kernel:

[1607219.198034] grsec: denied RWX mprotect of /lib/ld-2.11.2.so by
/usr/lib/vlc/vlc-cache-gen[vlc-cache-gen:15667] uid/euid:0/0 gid/egid:0/0,
parent /var/lib/dpkg/info/vlc-nox.postinst[vlc-nox.postins:15666] uid/euid:0/0 gid/egid:0/0

Disabling the mprotect() restriction feature makes the problem go away.

FWIW, a gdb backtrace:

Program received signal SIGSEGV, Segmentation fault.
0x50f49677 in ?? () from /lib/ld-linux.so.2
(gdb) bt
#0  0x50f49677 in ?? () from /lib/ld-linux.so.2
#1  0x50f4a134 in ?? () from /lib/ld-linux.so.2
#2  0x50f4fe9c in ?? () from /lib/ld-linux.so.2
#3  0x50f507f6 in ?? () from /lib/ld-linux.so.2
#4  0x50f4f192 in ?? () from /lib/ld-linux.so.2
#5  0x50f54b81 in ?? () from /lib/ld-linux.so.2
#6  0x50f507f6 in ?? () from /lib/ld-linux.so.2
#7  0x50f545c6 in ?? () from /lib/ld-linux.so.2
#8  0x50c8ac0b in ?? ()
#9  0x50f507f6 in ?? () from /lib/ld-linux.so.2
#10 0x50c8b09c in ?? ()
#11 0x50c8ab41 in ?? ()
#12 0x50ed0929 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Feel free to forward the bug appropriately, but:

 - Why is the dynamic loader crashing, instead of handling the error
   gracefully?
 - What's up with libSDL-1.2?
 - It sucks that installation and/or start-up of VLC fails because of
   one faulty module

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.36.2-grsec
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages vlc-nox depends on:
ii  liba52-0.7.4            0.7.4-14         library for decoding ATSC A/52 str
ii  libasound2              1.0.23-2.1       shared library for ALSA applicatio
ii  libass4                 0.9.9-1          library for SSA/ASS subtitles rend
ii  libavahi-client3        0.6.27-3         Avahi client library
ii  libavahi-common3        0.6.27-3         Avahi common library
ii  libavc1394-0            0.5.3-1+b2       control IEEE 1394 audio/video devi
ii  libavcodec52            4:0.5.2-6        ffmpeg codec library
ii  libavformat52           4:0.5.2-6        ffmpeg file format library
ii  libavutil49             4:0.5.2-6        ffmpeg utility library
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libcaca0                0.99.beta17-1    colour ASCII art library
ii  libcddb2                1.3.2-2          library to access CDDB data - runt
ii  libcdio10               0.81-4           library to read and control CD-ROM
ii  libdbus-1-3             1.2.24-4         simple interprocess messaging syst
ii  libdc1394-22            2.1.2-3          high level programming interface f
ii  libdca0                 0.0.5-3          decoding library for DTS Coherent 
ii  libdirac-encoder0       1.0.2-3          open and royalty free high quality
ii  libdvbpsi6              0.1.7-1          library for MPEG TS and DVB PSI ta
ii  libdvdnav4              4.1.3-7          DVD navigation library
ii  libdvdread4             4.1.3-10         library for reading DVDs
ii  libebml0                0.7.7-3.1        access library for the EBML format
ii  libfaad2                2.7-6            freeware Advanced Audio Decoder - 
ii  libflac8                1.2.1-3          Free Lossless Audio Codec - runtim
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.4.2-2.1        FreeType 2 font engine, shared lib
ii  libfribidi0             0.19.2-1         Free Implementation of the Unicode
ii  libgcc1                 1:4.4.5-10       GCC support library
ii  libgcrypt11             1.4.5-2          LGPL Crypto library - runtime libr
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  libgpg-error0           1.6-1            library for common error values an
ii  libkate1                0.3.8-1          Kate is a codec for karaoke and te
ii  liblircclient0          0.8.3-5          infra-red remote control support -
ii  liblua5.1-0             5.1.4-5          Simple, extensible, embeddable pro
ii  libmad0                 0.15.1b-5        MPEG audio decoder library
ii  libmatroska0            0.8.1-1.1        extensible open standard audio/vid
ii  libmodplug1             1:0.8.8.1-2      shared libraries for mod music bas
ii  libmpcdec6              2:0.1~r459-1     MusePack decoder - library
ii  libmpeg2-4              0.4.1-3          MPEG1 and MPEG2 video decoder libr
ii  libmtp8                 1.0.3-1          Media Transfer Protocol (MTP) libr
ii  libncursesw5            5.7+20100313-5   shared libraries for terminal hand
ii  libogg0                 1.2.0~dfsg-1     Ogg bitstream library
ii  libpng12-0              1.2.44-1         PNG library - runtime
ii  libpostproc51           4:0.5.2-6        ffmpeg video postprocessing librar
ii  libproxy0               0.3.1-2          automatic proxy configuration mana
ii  libraw1394-11           2.0.5-2          library for direct access to IEEE 
ii  libschroedinger-1.0-0   1.0.9-2          library for encoding/decoding of D
ii  libshout3               2.2.2-5+b1       MP3/Ogg Vorbis broadcast streaming
ii  libsmbclient            2:3.5.6~dfsg-4   shared library for communication w
ii  libspeex1               1.2~rc1-1        The Speex codec runtime library
ii  libstdc++6              4.4.5-10         The GNU Standard C++ Library v3
ii  libswscale0             4:0.5.2-6        ffmpeg video scaling library
ii  libtag1c2a              1.6.3-1          TagLib Audio Meta-Data Library
ii  libtheora0              1.1.1+dfsg.1-3   The Theora Video Compression Codec
ii  libtwolame0             0.3.12-1         MPEG Audio Layer 2 encoding librar
ii  libudev0                164-4            libudev shared library
ii  libupnp3                1:1.6.6-5        Portable SDK for UPnP Devices, ver
ii  libv4l-0                0.8.1-2          Collection of video4linux support 
ii  libvcdinfo0             0.7.23-4+b2      library to extract information fro
ii  libvlc5                 1.1.3-1squeeze2  multimedia player and streamer lib
ii  libvlccore4             1.1.3-1squeeze2  base library for VLC and its modul
ii  libvorbis0a             1.3.1-1          The Vorbis General Audio Compressi
ii  libvorbisenc2           1.3.1-1          The Vorbis General Audio Compressi
ii  libxml2                 2.7.8.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

vlc-nox recommends no packages.

vlc-nox suggests no packages.

Versions of packages vlc depends on:
ii  libaa1                  1.4p5-38         ascii art library
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libfreetype6            2.4.2-2.1        FreeType 2 font engine, shared lib
ii  libfribidi0             0.19.2-1         Free Implementation of the Unicode
ii  libgcc1                 1:4.4.5-10       GCC support library
ii  libgl1-mesa-glx [libgl1 7.7.1-4          A free implementation of the OpenG
ii  libqtcore4              4:4.6.3-4        Qt 4 core module
ii  libqtgui4               4:4.6.3-4        Qt 4 GUI module
ii  libsdl-image1.2         1.2.10-2+b2      image loading library for Simple D
ii  libsdl1.2debian         1.2.14-6.1       Simple DirectMedia Layer
ii  libstdc++6              4.4.5-10         The GNU Standard C++ Library v3
ii  libtar                  1.2.11-6         C library for manipulating tar arc
ii  libvlccore4             1.1.3-1squeeze2  base library for VLC and its modul
ii  libx11-6                2:1.3.3-4        X11 client-side library
ii  libx11-xcb1             2:1.3.3-4        Xlib/XCB interface library
ii  libxcb-keysyms1         0.3.6-1          utility libraries for X C Binding 
ii  libxcb-randr0           1.6-1            X C Binding, randr extension
ii  libxcb-shm0             1.6-1            X C Binding, shm extension
ii  libxcb-xv0              1.6-1            X C Binding, xv extension
ii  libxcb1                 1.6-1            X C Binding
ii  libxext6                2:1.1.2-1        X11 miscellaneous extension librar
ii  ttf-freefont            20090104-7       Freefont Serif, Sans and Mono True
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages libvlc5 depends on:
ii  libc6                    2.11.2-10       Embedded GNU C Library: Shared lib
ii  libvlccore4              1.1.3-1squeeze2 base library for VLC and its modul

Versions of packages libvlccore4 depends on:
ii  libc6                    2.11.2-10       Embedded GNU C Library: Shared lib
ii  libdbus-1-3              1.2.24-4        simple interprocess messaging syst
ii  vlc-data                 1.1.3-1squeeze2 Common data for VLC

Versions of packages vlc-nox is related to:
pn  libavutil50                   <none>     (no description available)
pn  libavutil51                   <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#611195; Package vlc-nox. (Wed, 26 Jan 2011 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to pageexec@freemail.hu:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 26 Jan 2011 17:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 611195@bugs.debian.org (full text, mbox):

From: pageexec@freemail.hu
To: Pierre Ynard <linkfanel@yahoo.fr>, 611195@bugs.debian.org
Subject: Re: Bug#611195: vlc-nox: generating plugin cache at postinst segfaults on PaX kernel
Date: Wed, 26 Jan 2011 18:27:27 +0200
On 26 Jan 2011 at 17:03, Pierre Ynard wrote:

> mprotect(0x4946b000, 3840, PROT_READ|PROT_WRITE) = -1 EACCES (Permission denied)
> --- SIGSEGV (Segmentation fault) @ 0 (0) ---
> +++ killed by SIGSEGV +++
> zsh: segmentation fault  strace -f /usr/lib/vlc/vlc-cache-gen /usr/lib/vlc/plugins
> 
> Note the mprotect() error, as logged by the kernel:
> 
> [1607219.198034] grsec: denied RWX mprotect of /lib/ld-2.11.2.so by
> /usr/lib/vlc/vlc-cache-gen[vlc-cache-gen:15667] uid/euid:0/0 gid/egid:0/0,
> parent /var/lib/dpkg/info/vlc-nox.postinst[vlc-nox.postins:15666] uid/euid:0/0 gid/egid:0/0
> 
> Disabling the mprotect() restriction feature makes the problem go away.
> 
> [...]
>
> Feel free to forward the bug appropriately, but:
> 
>  - Why is the dynamic loader crashing, instead of handling the error
>    gracefully?
>  - What's up with libSDL-1.2?
>  - It sucks that installation and/or start-up of VLC fails because of
>    one faulty module

this is a long standing bug in glibc and RELRO handling in ld.so. what happens is this:

1. ld.so maintains the current stack execution rights in a variable (most of the time
   they'd be rw-, i.e., non-executable)
2. said variable is marked to be stored in the RELRO segment of ld.so
3. when a dynamically linked program is started, ld.so performs all the relocations, etc
   then as a final step it mprotects the RELRO segments of all binaries (including itself)
   as actually read-only
4. PaX/MPROTECT enforces this read-only property in that it denies further mprotect
   requests that would make any part of such RELRO segments writable again (which is
   kinda the whole idea behind RELRO)
5. later a library is dlopen'd that wants an executable stack (has a RWE GNU_STACK segment)
   so ld.so wants to update this internal variable as well but since it's in the RELRO
   segment, it makes that area writable temporarily. this step fails per 4 and since the
   mprotect return value is not checked, the attempt of actually writing to the variable
   will cause a segfault.

now as you can see there's a cascade of failures here. the fundamental issue is the
whole broken concept of GNU_STACK but i guess debian folks are not about to neutralize
it, so let's look at the next step: putting a writable variable into the RELRO segment.

it was originally done in the hope that an exploit wouldn't be able to modify it either
and therefore prevent a specific ret2libc class of attack that'd abuse ld.so to do the
attacker's bidding by creating an rwx stack (let's not digress into how pointless this
is). this would work if this variable didn't need to be modified *after* RELRO enforcement
had taken place, but RWE GNU_STACK support for dlopen'd libraries requires exactly that
(which of course also circumvents GNU_STACK but let's not digress again ;). so what glibc
devs decided to do was to temporarily revert the RELRO segment's read-only status to update
the variable but for some reason they didn't check the return value of mprotect (probably
on grounds that 'it cannot fail' since it's called on a known valid region, etc except
there're many other reasons that can make mprotect fail).

so there you have it in a nutshell. probably the quickest 'fix' is to at least add a check
for mprotect's return value but that still won't let this libSDL library to load under PaX
and MPROTECT (whether it really needs an executable stack or is just incorrectly marked due
to some unmarked .S files is another angle you can investigate).

cheers,

 PaX Team





Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#611195; Package vlc-nox. (Thu, 27 Jan 2011 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Ynard <linkfanel@yahoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 27 Jan 2011 12:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 611195@bugs.debian.org (full text, mbox):

From: Pierre Ynard <linkfanel@yahoo.fr>
To: 611195@bugs.debian.org
Cc: control@bugs.debian.org, pageexec@freemail.hu
Subject: Re: Bug#611195: vlc-nox: generating plugin cache at postinst segfaults on PaX kernel
Date: Thu, 27 Jan 2011 13:54:20 +0100
reassign 611195 libc6
tags 611195 + patch
thanks

> so there you have it in a nutshell. probably the quickest 'fix' is to
> at least add a check for mprotect's return value

I wrote a patch that should fix the segfault. I couldn't test it because
I don't have an appropriate environment to rebuild eglibc and test the
issue.


--- elf/dl-load.c	2011-01-26 22:02:02.000000000 +0100
+++ elf/dl-load.c	2011-01-26 22:30:22.000000000 +0100
@@ -1398,7 +1398,11 @@
 	  if (__builtin_expect (p + s <= relro_end, 1))
 	    {
 	      /* The variable lies in the region protected by RELRO.  */
-	      __mprotect ((void *) p, s, PROT_READ|PROT_WRITE);
+	      if (__mprotect ((void *) p, s, PROT_READ|PROT_WRITE) < 0)
+		{
+		  errstring = N_("cannot change memory protections");
+		  goto call_lose_errno;
+		}
 	      __stack_prot |= PROT_READ|PROT_WRITE|PROT_EXEC;
 	      __mprotect ((void *) p, s, PROT_READ);
 	    }


Regards,

-- 
Pierre Ynard
"Une âme dans un corps, c'est comme un dessin sur une feuille de papier."




Bug reassigned from package 'vlc-nox' to 'libc6'. Request was from Pierre Ynard <linkfanel@yahoo.fr> to control@bugs.debian.org. (Thu, 27 Jan 2011 12:57:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions vlc/1.1.3-1squeeze2. Request was from Pierre Ynard <linkfanel@yahoo.fr> to control@bugs.debian.org. (Thu, 27 Jan 2011 12:57:09 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Pierre Ynard <linkfanel@yahoo.fr> to control@bugs.debian.org. (Thu, 27 Jan 2011 12:57:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sources.redhat.com/bugzilla/show_bug.cgi?id=12492'. Request was from Pierre Ynard <linkfanel@yahoo.fr> to control@bugs.debian.org. (Tue, 15 Feb 2011 15:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#611195; Package libc6. (Sat, 26 Feb 2011 10:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 26 Feb 2011 10:39:06 GMT) Full text and rfc822 format available.

Message #28 received at 611195@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Pierre Ynard <linkfanel@yahoo.fr>
Cc: 611195@bugs.debian.org, pageexec@freemail.hu
Subject: Re: Bug#611195: vlc-nox: generating plugin cache at postinst segfaults on PaX kernel
Date: Sat, 26 Feb 2011 11:35:05 +0100
On Thu, Jan 27, 2011 at 01:54:20PM +0100, Pierre Ynard wrote:
> reassign 611195 libc6
> tags 611195 + patch
> thanks
> 
> > so there you have it in a nutshell. probably the quickest 'fix' is to
> > at least add a check for mprotect's return value
> 
> I wrote a patch that should fix the segfault. I couldn't test it because
> I don't have an appropriate environment to rebuild eglibc and test the
> issue.
> 
> 
> --- elf/dl-load.c	2011-01-26 22:02:02.000000000 +0100
> +++ elf/dl-load.c	2011-01-26 22:30:22.000000000 +0100
> @@ -1398,7 +1398,11 @@
>  	  if (__builtin_expect (p + s <= relro_end, 1))
>  	    {
>  	      /* The variable lies in the region protected by RELRO.  */
> -	      __mprotect ((void *) p, s, PROT_READ|PROT_WRITE);
> +	      if (__mprotect ((void *) p, s, PROT_READ|PROT_WRITE) < 0)
> +		{
> +		  errstring = N_("cannot change memory protections");
> +		  goto call_lose_errno;
> +		}
>  	      __stack_prot |= PROT_READ|PROT_WRITE|PROT_EXEC;
>  	      __mprotect ((void *) p, s, PROT_READ);
>  	    }
> 
> 

Given the patch has been refused by upstream glibc, could you please
send it to patches@eglibc.org with an explanation how what it does, and
stating that it has been refused in glibc?

I am going to apply it in debian, but I don't want to keep it eternally,
so it has to be merged some way.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Sat, 26 Feb 2011 10:45:11 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 26 Feb 2011 22:51:39 GMT) Full text and rfc822 format available.

Notification sent to Pierre Ynard <linkfanel@yahoo.fr>:
Bug acknowledged by developer. (Sat, 26 Feb 2011 22:51:39 GMT) Full text and rfc822 format available.

Message #35 received at 611195-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 611195-close@bugs.debian.org
Subject: Bug#611195: fixed in eglibc 2.13-0exp2
Date: Sat, 26 Feb 2011 22:48:03 +0000
Source: eglibc
Source-Version: 2.13-0exp2

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-0exp2_all.deb
  to main/e/eglibc/eglibc-source_2.13-0exp2_all.deb
eglibc_2.13-0exp2.diff.gz
  to main/e/eglibc/eglibc_2.13-0exp2.diff.gz
eglibc_2.13-0exp2.dsc
  to main/e/eglibc/eglibc_2.13-0exp2.dsc
glibc-doc_2.13-0exp2_all.deb
  to main/e/eglibc/glibc-doc_2.13-0exp2_all.deb
libc-bin_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc-bin_2.13-0exp2_amd64.deb
libc-dev-bin_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-0exp2_amd64.deb
libc6-dbg_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-0exp2_amd64.deb
libc6-dev-i386_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-0exp2_amd64.deb
libc6-dev_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-0exp2_amd64.deb
libc6-i386_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-0exp2_amd64.deb
libc6-pic_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-0exp2_amd64.deb
libc6-prof_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-0exp2_amd64.deb
libc6-udeb_2.13-0exp2_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-0exp2_amd64.udeb
libc6_2.13-0exp2_amd64.deb
  to main/e/eglibc/libc6_2.13-0exp2_amd64.deb
libnss-dns-udeb_2.13-0exp2_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-0exp2_amd64.udeb
libnss-files-udeb_2.13-0exp2_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-0exp2_amd64.udeb
locales-all_2.13-0exp2_amd64.deb
  to main/e/eglibc/locales-all_2.13-0exp2_amd64.deb
locales_2.13-0exp2_all.deb
  to main/e/eglibc/locales_2.13-0exp2_all.deb
nscd_2.13-0exp2_amd64.deb
  to main/e/eglibc/nscd_2.13-0exp2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 Feb 2011 21:38:15 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-0exp2
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 195888 408959 446503 521737 558314 561249 563724 566297 566844 588218 601126 602776 609306 610475 610824 611195 611926 612792
Changes: 
 eglibc (2.13-0exp2) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release:
     - Fix spurious warning in bswap_16() with -Wconversion.  Closes:
       #561249.
     - Add back support for m68k.  Closes: #446503, #601126.
     - Add support for NTP API 4.  Closes: #558314.
     - Fix memchr() on alpha.  Closes: #521737.
     - Add optimized string functions via STT_GNU_IFUNC on PowerPC. Closes:
       #408959.
     - Provide POSIX2008 compliant futimens().  Closes: #563724.
     - Fix auxilary cache file creation.  Closes: 588218.
     - Fix POSIX2008 compliance.  Closes: #610824.
     - Update patches/locale/locale-print-LANGUAGE.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Remove patches/localedata/submitted-pt_BR.diff (merged upstream).
     - Update patches/localedata/locale-et_EE.diff (partially merged upstream).
     - Remove patches/localedata/locale-es_CR.diff (merged upstream).
     - Update patches/localedata/locales-fr.diff.
     - Update patches/localedata/tailor-iso14651_t1.diff.
     - Remove patches/localedata/fr_BE-first_weekday.diff (merged upstream).
     - Update localedata/first_weekday.diff.
     - Remove patches/alpha/submitted-dl-procinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-fpu-round.diff (merged upstream).
     - Remove patches/alpha/submitted-asm-memchr.diff (merged upstream).
     - Remove patches/alpha/submitted-sock_nonblock.diff (merged upstream).
     - Remove patcheS/alpha/submitted-epoll.diff (merged upstream).
     - Remove patches/alpha/cvs-timer_settime.diff (merged upstream).
     - Remove patches/alpha/submitted-PTR_MANGLE.diff (obsolete).
     - Remove patches/alpha/local-fcntl_h.diff (obsolete).
     - Remove patches/alpha/local-longjmp-chk.diff (obsolete).
     - Remove patches/alpha/submitted-fdatasync.diff (obsolete).
     - Remove patches/amd64/cvs-avx-tcb-alignment.diff (merged upstream).
     - Remove patches/arm/local-no-hwcap.diff (merged upstream).
     - Remove patches/arm/local-hwcap-updates.diff (merged upstream).
     - Remove patches/hppa/cvs-nptl-compat.diff (merged upstream).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/cvs-vfork.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-rtld_lock_recursive.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-getcwd.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setsid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-linkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ttyname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-getnprocs.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sched_param.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sendmsg-leak.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Remove patches/m68k/cvs-define-m68k-tls-relocations.patch (merged
       upstream).
     - Remove patches/m68k/cvs-tls-support.patch (merged upstream).
     - Remove patches/m68k/cvs-versions-def-2-12.patch (merged upstream).
     - Remove patches/mips/cvs-mips-atomic_h.diff (merged upstream).
     - Remove patches/mips/cvs-non-pic-n32-64-syscall.diff (merged upstream).
     - Remove patches/s390/cvs-makecontext.diff (merged upstream).
     - Update patches/s390/submitted-nexttowardf.diff.
     - Remove patches/sh4/local-fpscr_values.diff (merged upstream).
     - Remove patches/sh4/submitted-set_fpscr.diff (merged upstream).
     - Remove patches/sparc/cvs-sparcv9-memchr.diff (merged upstream).
     - Remove patches/sparc/submitted-epoll.diff (merged upstream).
     - Remove patches/sparc/submitted-msgrcv.diff (merged upstream).
     - Update patches/any/local-ldso-disable-hwcap.diff.
     - Remove patches/any/local-ntp-update.diff (obsolete).
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Remove patches/any/cvs-resolv-bindv6only.diff (merged upstream).
     - Remove patches/any/cvs-futimens.diff (merged upstream).
     - Remove patches/any/cvs-malloc_info-init.diff (merged upstream).
     - Remove patches/any/cvs-stat-issock.diff (merged upstream).
     - Remove patches/any/cvs-remove.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo.diff (merged upstream).
     - Remove patches/any/cvs-umount-nofollow.diff (merged upstream).
     - Remove patches/any/cvs-glob.diff (merged upstream).
     - Remove patches/any/cvs-flush-cache-textrels.diff (merged upstream).
     - Remove patches/any/submitted-group_member.diff (merged upstream).
     - Remove patches/any/cvs-redirect-throw.diff (merged upstream).
     - Remove patches/any/cvs-__block.diff (merged upstream).
     - Remove patches/any/cvs-sunrpc-license.diff (merged upstream).
     - Remove patches/any/submitted-resolv.conf-thread.diff (merged upstream).
     - Remove patches/any/cvs-audit-suid.diff (merged upstream).
     - Remove patches/any/cvs-dont-expand-dst-twice.diff (merged upstream).
     - Remove patches/any/cvs-ignore-origin-privileged.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch-alloca.diff (merged upstream).
     - Remove patches/any/cvs-qsort-race.diff from upstream (merged upstream).
     - Remove patches/any/submitted-etc-resolv.conf.diff (obsolete).
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-nis-shadow.diff (obsolete).
     - Remove patches/any/submitted-futex_robust_pi.diff (obsolete).
     - Update patches/kfreebsd/local-readdir_r.diff.
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.26, and minimal FreeBSD kernel version to
     8.0.0.  Closes: #610475.
   * Add /etc/default/nss.
   * Add patches/all/local-nis-shadow.diff to change default value of
     ADJUNCT_AS_SHADOW to TRUE. This avoid NIS password leakage
     (CVE-2010-0015), but can be changed to FALSE to accomomdate some
     NIS installations.  Closes: #566297, #566844.
   * kfreebsd/local-sysdeps.diff, kfreebsd/local-linuxthreads29.diff:
     update to revision 3262 (from glibc-bsd)  Closes: #602776.
   * debian/rules: split build-indep and build-arch targets.  Closes:
     #611926.
   * sysdeps/sparc.mk, sysdeps/sparc64.mk: build with --enable-multi-arch.
   * sysdeps/powerpc.mk, sysdeps/ppc64.mk: build with --enable-multi-arch.
   * Drop libc6-sparcv9b package on sparc/sparc64, optimizations are now
     done through multi-arch (STT_GNU_IFUNC).
   * Add patches/localedata/locale-C.diff to create a C locale.
   * Build and install the C locales in libc-bin.  Closes: #609306.
   * Bump to Standards-Version 3.9.1 (no changes).
   * Add patches/submitted-rwlock-stack-imbalance.diff to fix regression
     in pthread_rwlock_timedrdlock() and pthread_rwlock_timedwrlock().
   * Whitelist tst-makecontext3.out test on ia64, as it is new and can't
     succeed on this architecture.
   * Build depends on binutils (>= 2.21) on sparc and sparc64 to gain
     STT_GNU_IFUNC support.
   * Add patches/any/submitted-ldsodefs_rtld_debug.diff to fix
     EGLIBC_RTLD_DEBUG support on non NPTL systems.
   * Add patches/any/local-relro-mprotect.patch to not crash with PaX
     kernels.  Closes: #611195.
   * Add patches/any/cvs-dlopen_memory_leak.diff to fix a memory leak
     in dlopen().  Closes: #195888.
   * Add patches/any/cvs-dl-missing-deps.diff to output an early error
     when dependencies are missing.  Closes: #612792.
   * Add patches/any/cvs-rtld-prelink.diff to fix segfault on prelinked
     binaries.
 .
   [ Samuel Thibault ]
   * Add patches/any/cvs-glro_dl_debug_mask.diff to fix build without
     EGLIBC_RTLD_DEBUG support.
   * Add patches/hurd-i386/cvs-header-prot.diff,
     patches/hurd-i386/cvs-psiginfo.diff, and
     patches/hurd-i386/local-ptsname.diff to fix hurd-i386 build.
   * Update expected hurd-i386 failures with new tests.
   * Add patches/hurd-i386/local-add-needed.diff to fix getting functions from
     libmachuser and libhurduser with gold linking.
Checksums-Sha1: 
 839cb41d6309e9be11c1e1ab5a654db85462044a 2702 eglibc_2.13-0exp2.dsc
 86eb6a5f77c2be9cc753ee4d74fc8c1e994d1589 23004247 eglibc_2.13.orig.tar.gz
 3849dbffb1511728148e5f5ad180f37f1eb5ee0b 815912 eglibc_2.13-0exp2.diff.gz
 ea50bf31a9c6aa18afe2bfc5b07950808be384a2 1880066 glibc-doc_2.13-0exp2_all.deb
 9bf51e75822a8aeafadff1e03514cd655912b8ac 11182570 eglibc-source_2.13-0exp2_all.deb
 99e4f2071f65de9067b33a495c5c5242dd7061d5 4799830 locales_2.13-0exp2_all.deb
 30edadf2c4ef92ead8143e2b4aa3d49db7970223 4308154 libc6_2.13-0exp2_amd64.deb
 8df54863b9a5ac4bf14f25804ddb4f8e7f9f0f6b 2629286 libc6-dev_2.13-0exp2_amd64.deb
 9bc0205d7e7ff44660a9a984a2c38aee4f578c05 2072612 libc6-prof_2.13-0exp2_amd64.deb
 7571a0668e29c14dee5d4037182255a84ad6c291 1579800 libc6-pic_2.13-0exp2_amd64.deb
 92304e2a184145af670251f6b61ca82e31b1902c 1077150 libc-bin_2.13-0exp2_amd64.deb
 36497251143773cf0dd1d1f544a5c953703b16bb 208856 libc-dev-bin_2.13-0exp2_amd64.deb
 cb65dc02ba74c0c611e42e1350b3eb31e6e5316d 3738936 locales-all_2.13-0exp2_amd64.deb
 afbb94809921233a7494f1ecd16a2d9a3ee3c285 3827428 libc6-i386_2.13-0exp2_amd64.deb
 ffd9a6dcfa94a2ee9ffe9895fd9bc83bc40da578 1552770 libc6-dev-i386_2.13-0exp2_amd64.deb
 7a5cbb5499c313d579f830c6958ecf8c1c00d0ff 198462 nscd_2.13-0exp2_amd64.deb
 f4d2167c43f6dfdaa05526eff4707ad6e77a9f82 10489020 libc6-dbg_2.13-0exp2_amd64.deb
 5c80470ba4c334882f916e4b91439c658fee8b3a 1180440 libc6-udeb_2.13-0exp2_amd64.udeb
 8e50c1a696975de393c73e283f6a27b799943008 11108 libnss-dns-udeb_2.13-0exp2_amd64.udeb
 19bde21229ac720b26834ba6f9d5f8cd6e49b997 19258 libnss-files-udeb_2.13-0exp2_amd64.udeb
Checksums-Sha256: 
 078c8fe4607de473bfe0178dd7ac19b1354c41e6ebbbbede6df2fcd5e51b2f7e 2702 eglibc_2.13-0exp2.dsc
 5e6dce233f0d0f89453b369efbc1ff360956b5d2de45c03c9bc8c52eef98868f 23004247 eglibc_2.13.orig.tar.gz
 06810b16f8532522b2325d02041823739af94ac3722737d9d72f0620f9fda66c 815912 eglibc_2.13-0exp2.diff.gz
 943e2ec5f736019c6500a5422561894a1f764f3f1ab382184e16854fb93ed950 1880066 glibc-doc_2.13-0exp2_all.deb
 d19e8a3b539d315f47e09471f38b1f2c39adc866af64326a57c1034a6e7eca0c 11182570 eglibc-source_2.13-0exp2_all.deb
 c2fba0eedeec1cd415d64dd0b8ddc9ffbbc61442a9c1ab59a30d7e609388028f 4799830 locales_2.13-0exp2_all.deb
 4618c3bae678efd07a0e40c66d9685f9b2ee1e75391b04a5aa089f46d5aaeeb1 4308154 libc6_2.13-0exp2_amd64.deb
 aaf2a61dce9df1b872d1d487debfb1dc53eda4420eb0b564d37ab3b0c52a144a 2629286 libc6-dev_2.13-0exp2_amd64.deb
 e637d70e8f19a8b20fd9892137c35b4831bca24c61ee07154a5da1c09dbfffab 2072612 libc6-prof_2.13-0exp2_amd64.deb
 fb67b1f9d72b1fef083dd9114f39d3f40e845b874e942f56c2f8ee4df474f3aa 1579800 libc6-pic_2.13-0exp2_amd64.deb
 b8f743910f1171095270396500577b84a2a7e2b3354b8e3ea0943226a69a4fc0 1077150 libc-bin_2.13-0exp2_amd64.deb
 7f808ecddf9766eb310a02ada88b8a5d2477b721c62fb4997ceed30126014242 208856 libc-dev-bin_2.13-0exp2_amd64.deb
 f9690b2952bab798b4aa976a47935f4ca6df26b886ed597c1d0f7686855ee9dc 3738936 locales-all_2.13-0exp2_amd64.deb
 08f5d73dade7217bc1ef4ca4185d9293adbb0e5e6a5040f12de3e3ac056e1580 3827428 libc6-i386_2.13-0exp2_amd64.deb
 9704e7a92eab1438dc26bab86b7f58b9addb764df46dd4f2f3e338421ee94167 1552770 libc6-dev-i386_2.13-0exp2_amd64.deb
 a6354889cd6c1fd88770b32d4031ce4ccd7a921b75bf72b38c5cef4f9463f3cd 198462 nscd_2.13-0exp2_amd64.deb
 f6374c630962bf2d506c9cddd7f8e6e780efd44d1f9355bd7c2914bf684140df 10489020 libc6-dbg_2.13-0exp2_amd64.deb
 fc794234a0611b54398d074d1c939df3fedca0b8039473e3c2803d495355263f 1180440 libc6-udeb_2.13-0exp2_amd64.udeb
 2c8f102910311f67dcc9df40981f7831832169a0a120a60f4addb518eef00cd0 11108 libnss-dns-udeb_2.13-0exp2_amd64.udeb
 effa892aaf5ec6926b201e7b92e5897d8a730797ed11cb1801e02ffb4d737cb4 19258 libnss-files-udeb_2.13-0exp2_amd64.udeb
Files: 
 e139b23571c696ffa5165841d6d63390 2702 libs required eglibc_2.13-0exp2.dsc
 be63a487c69b3f4198def94d7254b250 23004247 libs required eglibc_2.13.orig.tar.gz
 839251b8e248f3d2fda7956f057eff28 815912 libs required eglibc_2.13-0exp2.diff.gz
 aeda4cbcf758549f8369d403157ba4a8 1880066 doc optional glibc-doc_2.13-0exp2_all.deb
 995803a3d8a6a03c19cbe7ac336265e6 11182570 devel optional eglibc-source_2.13-0exp2_all.deb
 6aaf537cd4272a0ff4272079a43d8906 4799830 localization standard locales_2.13-0exp2_all.deb
 3bb48a1a89675d32f8167480d396e444 4308154 libs required libc6_2.13-0exp2_amd64.deb
 f643694f30b65d5bed9744643e094a49 2629286 libdevel optional libc6-dev_2.13-0exp2_amd64.deb
 a37dbce2845abb67aff73d68f84ad357 2072612 libdevel extra libc6-prof_2.13-0exp2_amd64.deb
 2fd508d23fc8031b5a76932130c0053d 1579800 libdevel optional libc6-pic_2.13-0exp2_amd64.deb
 393805a91dc348d5f52a48e40d290365 1077150 libs required libc-bin_2.13-0exp2_amd64.deb
 ce49cc78c3bf37b0f657f4ad8c4dff53 208856 libdevel optional libc-dev-bin_2.13-0exp2_amd64.deb
 b1b48d10ea8cbbb3d6060d958b77530f 3738936 localization extra locales-all_2.13-0exp2_amd64.deb
 81039f4d73c2c2d91e8533683ae773d6 3827428 libs optional libc6-i386_2.13-0exp2_amd64.deb
 39f3d073c1b4f939d3dfe3b576178eaa 1552770 libdevel optional libc6-dev-i386_2.13-0exp2_amd64.deb
 dcb4570da7b55a348f89369c70d8d6f2 198462 admin optional nscd_2.13-0exp2_amd64.deb
 0a6d9ed49be505c8bac6a247508de9c6 10489020 debug extra libc6-dbg_2.13-0exp2_amd64.deb
 9af4ae5d3a119e1cd4ecb0a960f468bf 1180440 debian-installer extra libc6-udeb_2.13-0exp2_amd64.udeb
 86a1643bb503efe7bd8e68170f41c89f 11108 debian-installer extra libnss-dns-udeb_2.13-0exp2_amd64.udeb
 1165b87b6125caaaf218989045b1565f 19258 debian-installer extra libnss-files-udeb_2.13-0exp2_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNaXnrw3ao2vG823MRAo5SAJ0bA9UzgNbpPd93iPd+/kbZa/Vv+wCfTKs+
msSMV+SycoLNctqsKiwaBfQ=
=Qzne
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 01 Mar 2011 06:51:38 GMT) Full text and rfc822 format available.

Notification sent to Pierre Ynard <linkfanel@yahoo.fr>:
Bug acknowledged by developer. (Tue, 01 Mar 2011 06:51:38 GMT) Full text and rfc822 format available.

Message #40 received at 611195-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 611195-close@bugs.debian.org
Subject: Bug#611195: fixed in eglibc 2.13-0exp3
Date: Tue, 01 Mar 2011 06:48:03 +0000
Source: eglibc
Source-Version: 2.13-0exp3

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-0exp3_all.deb
  to main/e/eglibc/eglibc-source_2.13-0exp3_all.deb
eglibc_2.13-0exp3.diff.gz
  to main/e/eglibc/eglibc_2.13-0exp3.diff.gz
eglibc_2.13-0exp3.dsc
  to main/e/eglibc/eglibc_2.13-0exp3.dsc
glibc-doc_2.13-0exp3_all.deb
  to main/e/eglibc/glibc-doc_2.13-0exp3_all.deb
libc-bin_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc-bin_2.13-0exp3_amd64.deb
libc-dev-bin_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-0exp3_amd64.deb
libc6-dbg_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-0exp3_amd64.deb
libc6-dev-i386_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-0exp3_amd64.deb
libc6-dev_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-0exp3_amd64.deb
libc6-i386_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-0exp3_amd64.deb
libc6-pic_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-0exp3_amd64.deb
libc6-prof_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-0exp3_amd64.deb
libc6-udeb_2.13-0exp3_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-0exp3_amd64.udeb
libc6_2.13-0exp3_amd64.deb
  to main/e/eglibc/libc6_2.13-0exp3_amd64.deb
libnss-dns-udeb_2.13-0exp3_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-0exp3_amd64.udeb
libnss-files-udeb_2.13-0exp3_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-0exp3_amd64.udeb
locales-all_2.13-0exp3_amd64.deb
  to main/e/eglibc/locales-all_2.13-0exp3_amd64.deb
locales_2.13-0exp3_all.deb
  to main/e/eglibc/locales_2.13-0exp3_all.deb
nscd_2.13-0exp3_amd64.deb
  to main/e/eglibc/nscd_2.13-0exp3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Feb 2011 23:43:03 +0100
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-0exp3
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 408959 446503 521737 558314 561249 563724 566297 566844 588218 601126 602776 609306 610475 610824 611195 611926 612792
Changes: 
 eglibc (2.13-0exp3) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release:
     - Fix spurious warning in bswap_16() with -Wconversion.  Closes:
       #561249.
     - Add back support for m68k.  Closes: #446503, #601126.
     - Add support for NTP API 4.  Closes: #558314.
     - Fix memchr() on alpha.  Closes: #521737.
     - Add optimized string functions via STT_GNU_IFUNC on PowerPC. Closes:
       #408959.
     - Provide POSIX2008 compliant futimens().  Closes: #563724.
     - Fix auxilary cache file creation.  Closes: 588218.
     - Fix POSIX2008 compliance.  Closes: #610824.
     - Update patches/locale/locale-print-LANGUAGE.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Remove patches/localedata/submitted-pt_BR.diff (merged upstream).
     - Update patches/localedata/locale-et_EE.diff (partially merged upstream).
     - Remove patches/localedata/locale-es_CR.diff (merged upstream).
     - Update patches/localedata/locales-fr.diff.
     - Update patches/localedata/tailor-iso14651_t1.diff.
     - Remove patches/localedata/fr_BE-first_weekday.diff (merged upstream).
     - Update localedata/first_weekday.diff.
     - Remove patches/alpha/submitted-dl-procinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-fpu-round.diff (merged upstream).
     - Remove patches/alpha/submitted-asm-memchr.diff (merged upstream).
     - Remove patches/alpha/submitted-sock_nonblock.diff (merged upstream).
     - Remove patcheS/alpha/submitted-epoll.diff (merged upstream).
     - Remove patches/alpha/cvs-timer_settime.diff (merged upstream).
     - Remove patches/alpha/submitted-PTR_MANGLE.diff (obsolete).
     - Remove patches/alpha/local-fcntl_h.diff (obsolete).
     - Remove patches/alpha/local-longjmp-chk.diff (obsolete).
     - Remove patches/alpha/submitted-fdatasync.diff (obsolete).
     - Remove patches/amd64/cvs-avx-tcb-alignment.diff (merged upstream).
     - Remove patches/arm/local-no-hwcap.diff (merged upstream).
     - Remove patches/arm/local-hwcap-updates.diff (merged upstream).
     - Remove patches/hppa/cvs-nptl-compat.diff (merged upstream).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/cvs-vfork.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-rtld_lock_recursive.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-getcwd.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setsid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-linkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ttyname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-getnprocs.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sched_param.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sendmsg-leak.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Remove patches/m68k/cvs-define-m68k-tls-relocations.patch (merged
       upstream).
     - Remove patches/m68k/cvs-tls-support.patch (merged upstream).
     - Remove patches/m68k/cvs-versions-def-2-12.patch (merged upstream).
     - Remove patches/mips/cvs-mips-atomic_h.diff (merged upstream).
     - Remove patches/mips/cvs-non-pic-n32-64-syscall.diff (merged upstream).
     - Remove patches/s390/cvs-makecontext.diff (merged upstream).
     - Update patches/s390/submitted-nexttowardf.diff.
     - Remove patches/sh4/local-fpscr_values.diff (merged upstream).
     - Remove patches/sh4/submitted-set_fpscr.diff (merged upstream).
     - Remove patches/sparc/cvs-sparcv9-memchr.diff (merged upstream).
     - Remove patches/sparc/submitted-epoll.diff (merged upstream).
     - Remove patches/sparc/submitted-msgrcv.diff (merged upstream).
     - Update patches/any/local-ldso-disable-hwcap.diff.
     - Remove patches/any/local-ntp-update.diff (obsolete).
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Remove patches/any/cvs-resolv-bindv6only.diff (merged upstream).
     - Remove patches/any/cvs-futimens.diff (merged upstream).
     - Remove patches/any/cvs-malloc_info-init.diff (merged upstream).
     - Remove patches/any/cvs-stat-issock.diff (merged upstream).
     - Remove patches/any/cvs-remove.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo.diff (merged upstream).
     - Remove patches/any/cvs-umount-nofollow.diff (merged upstream).
     - Remove patches/any/cvs-glob.diff (merged upstream).
     - Remove patches/any/cvs-flush-cache-textrels.diff (merged upstream).
     - Remove patches/any/submitted-group_member.diff (merged upstream).
     - Remove patches/any/cvs-redirect-throw.diff (merged upstream).
     - Remove patches/any/cvs-__block.diff (merged upstream).
     - Remove patches/any/cvs-sunrpc-license.diff (merged upstream).
     - Remove patches/any/submitted-resolv.conf-thread.diff (merged upstream).
     - Remove patches/any/cvs-audit-suid.diff (merged upstream).
     - Remove patches/any/cvs-dont-expand-dst-twice.diff (merged upstream).
     - Remove patches/any/cvs-ignore-origin-privileged.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch-alloca.diff (merged upstream).
     - Remove patches/any/cvs-qsort-race.diff from upstream (merged upstream).
     - Remove patches/any/submitted-etc-resolv.conf.diff (obsolete).
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-nis-shadow.diff (obsolete).
     - Remove patches/any/submitted-futex_robust_pi.diff (obsolete).
     - Update patches/kfreebsd/local-readdir_r.diff.
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.26, and minimal FreeBSD kernel version to
     8.0.0.  Closes: #610475.
   * Add /etc/default/nss.
   * Add patches/all/local-nis-shadow.diff to change default value of
     ADJUNCT_AS_SHADOW to TRUE. This avoid NIS password leakage
     (CVE-2010-0015), but can be changed to FALSE to accomomdate some
     NIS installations.  Closes: #566297, #566844.
   * kfreebsd/local-sysdeps.diff, kfreebsd/local-linuxthreads29.diff:
     update to revision 3262 (from glibc-bsd)  Closes: #602776.
   * debian/rules: split build-indep and build-arch targets.  Closes:
     #611926.
   * sysdeps/sparc.mk, sysdeps/sparc64.mk: build with --enable-multi-arch.
   * sysdeps/powerpc.mk, sysdeps/ppc64.mk: build with --enable-multi-arch.
   * Drop libc6-sparcv9b package on sparc/sparc64, optimizations are now
     done through multi-arch (STT_GNU_IFUNC).
   * Add patches/localedata/locale-C.diff to create a C locale.
   * Build and install the C locales in libc-bin.  Closes: #609306.
   * Bump to Standards-Version 3.9.1 (no changes).
   * Add patches/submitted-rwlock-stack-imbalance.diff to fix regression
     in pthread_rwlock_timedrdlock() and pthread_rwlock_timedwrlock().
   * Whitelist tst-makecontext3.out test on ia64, as it is new and can't
     succeed on this architecture.
   * Build depends on binutils (>= 2.21) on sparc and sparc64 to gain
     STT_GNU_IFUNC support.
   * Add patches/any/submitted-ldsodefs_rtld_debug.diff to fix
     EGLIBC_RTLD_DEBUG support on non NPTL systems.
   * Add patches/any/local-relro-mprotect.patch to not crash with PaX
     kernels.  Closes: #611195.
   * Add patches/any/cvs-dl-missing-deps.diff to output an early error
     when dependencies are missing.  Closes: #612792.
   * Add patches/any/cvs-rtld-prelink.diff to fix segfault on prelinked
     binaries.
   * Add patches/sparc/submitted-bzero.diff to fix bzero() on sparc.
   * Add patches/powerpc/local-libgcc_eh-ld.so.diff to fix bug-atexit3
     test on PowerPC.
   * Add patches/alpha/submitted-fcntl_h.diff, submitted-stackinfo.diff and
     submitted-statfs.diff to partially fix FTBFS on alpha.
 .
   [ Samuel Thibault ]
   * Add patches/any/cvs-glro_dl_debug_mask.diff to fix build without
     EGLIBC_RTLD_DEBUG support.
   * Add patches/hurd-i386/cvs-header-prot.diff,
     patches/hurd-i386/cvs-psiginfo.diff, and
     patches/hurd-i386/local-ptsname.diff to fix hurd-i386 build.
   * Update expected hurd-i386 failures with new tests.
   * Add patches/hurd-i386/local-add-needed.diff to fix getting functions from
     libmachuser and libhurduser with gold linking.
Checksums-Sha1: 
 69e4a1db2a2c33f10f9a1666a880014cbc0efeb7 2702 eglibc_2.13-0exp3.dsc
 8621c58bd69789cb84e392029e5fd84683a377f8 802821 eglibc_2.13-0exp3.diff.gz
 1ff52d0e3bd6ffc32729f23557066815521e3443 1880154 glibc-doc_2.13-0exp3_all.deb
 05bd96fdcfb0942e9e929eeb1edf3dc1e0845f01 11178448 eglibc-source_2.13-0exp3_all.deb
 cdc93f3adc0736ec89b77561ed7108dce2cec850 4799726 locales_2.13-0exp3_all.deb
 6d4111a2030bc832bcfb5b7c35fdc0a1629db344 4308028 libc6_2.13-0exp3_amd64.deb
 923907cd76f2911ca825b8c29900e9b8f053e9e7 2629208 libc6-dev_2.13-0exp3_amd64.deb
 7af8ced0535b5d99f5ff0e5d85c2a2e94c00be93 2072686 libc6-prof_2.13-0exp3_amd64.deb
 98468058b94f9c6231a9df1753d21168abc8a2d5 1579898 libc6-pic_2.13-0exp3_amd64.deb
 e37f5b881a5f9939627cd2ac2635f614557d972e 1077298 libc-bin_2.13-0exp3_amd64.deb
 197ddc6b262991935e757377ee53058bd70c1092 208942 libc-dev-bin_2.13-0exp3_amd64.deb
 77755c69243ce7afce64319cf70979fba2cc890f 3760400 locales-all_2.13-0exp3_amd64.deb
 afb1279b6fcb15e76bdc7d8547254db154e4cf57 3827670 libc6-i386_2.13-0exp3_amd64.deb
 38f9936274a8f827e96a005507518c3f7a9f7ab2 1552822 libc6-dev-i386_2.13-0exp3_amd64.deb
 6b9882fcfc3738f5d5f47da172edb1d8d5b994fc 198564 nscd_2.13-0exp3_amd64.deb
 5e3e6257ef38cf7d7dc03a288681495491ea5ce3 10488358 libc6-dbg_2.13-0exp3_amd64.deb
 a4c45a2737560409f6c3f900d14ef991f655ec14 1180380 libc6-udeb_2.13-0exp3_amd64.udeb
 0505ba570eb4120badd2ee9d30fc0941aac2f63a 11110 libnss-dns-udeb_2.13-0exp3_amd64.udeb
 4362567ffff97a2134b67fbd9e61be4f5fb764e1 19254 libnss-files-udeb_2.13-0exp3_amd64.udeb
Checksums-Sha256: 
 8bef2d12464a62ebc557711a24a031a074a164c14efe53b7e94ed0d57165b68a 2702 eglibc_2.13-0exp3.dsc
 f7ba12bf9e540a9edfe022b1445fc0acb4479fd60ea0585029587e37e9dc0423 802821 eglibc_2.13-0exp3.diff.gz
 8331b414aa4f2ffc5bbbce8d16e5b8b82e3081693fe2487dfa1a7c06c67cb3c3 1880154 glibc-doc_2.13-0exp3_all.deb
 8ad0f902d5f3d5d48ccb66ffd8d7081aee1739683f4006e4d666b750a9df93c0 11178448 eglibc-source_2.13-0exp3_all.deb
 5e54a538b1d599bf45a0cd795c6b7f2f31ade3405259bb463c761dc7f57a9d3b 4799726 locales_2.13-0exp3_all.deb
 e2459fa2fb01fe4a860b21a239afc86f1fe5260777f4260950c4e4a92c6b9465 4308028 libc6_2.13-0exp3_amd64.deb
 68ca4711f2ea4b48938897fbfa16089f546e3ee8c9390879bac7fced5dfbcfdc 2629208 libc6-dev_2.13-0exp3_amd64.deb
 f036982fed7c558d5e9d8968c16d15da5718b4327d357687e3d4eed9fa7a26f9 2072686 libc6-prof_2.13-0exp3_amd64.deb
 89ca94cf94fff862c5c82c83aa635ff95a2dddfc452705b3b9c8a05b69ab7da6 1579898 libc6-pic_2.13-0exp3_amd64.deb
 fe1cca0334762bc6852c20633939952ad6c5322387e8c9f9ee982754bc89e8e8 1077298 libc-bin_2.13-0exp3_amd64.deb
 070fec0e34fbc4c411f1bf46eaf3260639e7811471d6d1588798a3eca6950819 208942 libc-dev-bin_2.13-0exp3_amd64.deb
 678ab6ff6d49a96516ccb027bfe869f8f7bebfcd2c016b8d0389258a63160e12 3760400 locales-all_2.13-0exp3_amd64.deb
 5a5a6e02d939b5c576b209c9f1483775dd7524fde246624fa99ec41dd6c8108a 3827670 libc6-i386_2.13-0exp3_amd64.deb
 9b643696cf50dc778d1cf717d891778e7ee657bf89f18bb796d9e7305706ba40 1552822 libc6-dev-i386_2.13-0exp3_amd64.deb
 123f329a728795b6a3939e22730fcaa381e7d50c8aff77db23ba0a6f6c989f04 198564 nscd_2.13-0exp3_amd64.deb
 ef45c51aa7319b643f5cbbb7e0137638a6ac7c25adfb472a8d072ec5ac1d5fd7 10488358 libc6-dbg_2.13-0exp3_amd64.deb
 f0de814bb31df789bc5b41c017c2ca442a688fb79ec64d353903f0087c0005e6 1180380 libc6-udeb_2.13-0exp3_amd64.udeb
 37d0dd0a618378e63ed157f5b6d7c6836d463ad29a8aeb514c9f8c37d6d1f749 11110 libnss-dns-udeb_2.13-0exp3_amd64.udeb
 66963a3dcf57821c2c5b23b86471e9b56c9cc307ee29dde7b7e5d24dffa6ffba 19254 libnss-files-udeb_2.13-0exp3_amd64.udeb
Files: 
 6c2ce2e1a7239e63ab8e6fa45f01e40f 2702 libs required eglibc_2.13-0exp3.dsc
 5d5c8710d7bcd97347ac59440a736aea 802821 libs required eglibc_2.13-0exp3.diff.gz
 cddee13cdacae42cef75823c634d1bf9 1880154 doc optional glibc-doc_2.13-0exp3_all.deb
 19a443026bc3648ac7edb0b1f68ad550 11178448 devel optional eglibc-source_2.13-0exp3_all.deb
 cf01ef33f7ac18113ddfa80ace64749d 4799726 localization standard locales_2.13-0exp3_all.deb
 df607509f8047e99f762366cbfd877bd 4308028 libs required libc6_2.13-0exp3_amd64.deb
 b727b2c098323361ddf0ac0376173f0b 2629208 libdevel optional libc6-dev_2.13-0exp3_amd64.deb
 d3521a77d2866cef9644ea90c2a84ef3 2072686 libdevel extra libc6-prof_2.13-0exp3_amd64.deb
 f20342c47ff3a0059862500b25d5fd15 1579898 libdevel optional libc6-pic_2.13-0exp3_amd64.deb
 3e8bb2db71fd705c52ed576ce8d35ada 1077298 libs required libc-bin_2.13-0exp3_amd64.deb
 03d2e95d16f73931435a24e2130efda3 208942 libdevel optional libc-dev-bin_2.13-0exp3_amd64.deb
 4e4881367c21bb6af9fca98e81dbf900 3760400 localization extra locales-all_2.13-0exp3_amd64.deb
 e80f402aaf9d0775b2485c1066d0f791 3827670 libs optional libc6-i386_2.13-0exp3_amd64.deb
 5f1782db22967916c85014e4066a2106 1552822 libdevel optional libc6-dev-i386_2.13-0exp3_amd64.deb
 a22aef0fda47e808e8454d3fe46922cb 198564 admin optional nscd_2.13-0exp3_amd64.deb
 aa13ae59eb183a34b3ef9b23c0eca2ad 10488358 debug extra libc6-dbg_2.13-0exp3_amd64.deb
 11f9fea8bab4b88c4879efb3119dae32 1180380 debian-installer extra libc6-udeb_2.13-0exp3_amd64.udeb
 d194bbd5d6fb404561c7790e26b18797 11110 debian-installer extra libnss-dns-udeb_2.13-0exp3_amd64.udeb
 e2c9e721fbf1c27d8fab409b1425b2df 19254 debian-installer extra libnss-files-udeb_2.13-0exp3_amd64.udeb
Package-Type: udeb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNbIzuw3ao2vG823MRAvr+AJ9NAUfclYUcu+IAr4kjNrFOugd/ZgCgiCYg
mGQziNCZH5cD92er5w+LTBA=
=fFUh
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 14 Mar 2011 11:06:40 GMT) Full text and rfc822 format available.

Notification sent to Pierre Ynard <linkfanel@yahoo.fr>:
Bug acknowledged by developer. (Mon, 14 Mar 2011 11:06:40 GMT) Full text and rfc822 format available.

Message #45 received at 611195-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 611195-close@bugs.debian.org
Subject: Bug#611195: fixed in eglibc 2.13-0exp4
Date: Mon, 14 Mar 2011 11:03:05 +0000
Source: eglibc
Source-Version: 2.13-0exp4

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-0exp4_all.deb
  to main/e/eglibc/eglibc-source_2.13-0exp4_all.deb
eglibc_2.13-0exp4.diff.gz
  to main/e/eglibc/eglibc_2.13-0exp4.diff.gz
eglibc_2.13-0exp4.dsc
  to main/e/eglibc/eglibc_2.13-0exp4.dsc
glibc-doc_2.13-0exp4_all.deb
  to main/e/eglibc/glibc-doc_2.13-0exp4_all.deb
libc-bin_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc-bin_2.13-0exp4_amd64.deb
libc-dev-bin_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-0exp4_amd64.deb
libc6-dbg_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-0exp4_amd64.deb
libc6-dev-i386_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-0exp4_amd64.deb
libc6-dev_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-0exp4_amd64.deb
libc6-i386_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-0exp4_amd64.deb
libc6-pic_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-0exp4_amd64.deb
libc6-prof_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-0exp4_amd64.deb
libc6-udeb_2.13-0exp4_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-0exp4_amd64.udeb
libc6_2.13-0exp4_amd64.deb
  to main/e/eglibc/libc6_2.13-0exp4_amd64.deb
libnss-dns-udeb_2.13-0exp4_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-0exp4_amd64.udeb
libnss-files-udeb_2.13-0exp4_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-0exp4_amd64.udeb
locales-all_2.13-0exp4_amd64.deb
  to main/e/eglibc/locales-all_2.13-0exp4_amd64.deb
locales_2.13-0exp4_all.deb
  to main/e/eglibc/locales_2.13-0exp4_all.deb
nscd_2.13-0exp4_amd64.deb
  to main/e/eglibc/nscd_2.13-0exp4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Mar 2011 06:25:20 +0000
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-0exp4
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 372544 408959 446503 521737 558314 561249 563724 566297 566844 588218 601126 602776 609306 610475 610824 611195 611926 612792 616298 617973
Changes: 
 eglibc (2.13-0exp4) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release:
     - Fix spurious warning in bswap_16() with -Wconversion.  Closes:
       #561249.
     - Add back support for m68k.  Closes: #446503, #601126.
     - Add support for NTP API 4.  Closes: #558314.
     - Fix memchr() on alpha.  Closes: #521737.
     - Add optimized string functions via STT_GNU_IFUNC on PowerPC. Closes:
       #408959.
     - Provide POSIX2008 compliant futimens().  Closes: #563724.
     - Fix auxilary cache file creation.  Closes: 588218.
     - Fix POSIX2008 compliance.  Closes: #610824.
     - Implement accurate fma() (according to C99).  Closes: #372544.
     - Build correctly with --no-add-needed.  Closes: #616298.
     - Fix SOCK_CLOEXEC value on hppa.  Closes: #617973.
     - Update patches/locale/locale-print-LANGUAGE.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Remove patches/localedata/submitted-pt_BR.diff (merged upstream).
     - Update patches/localedata/locale-et_EE.diff (partially merged upstream).
     - Remove patches/localedata/locale-es_CR.diff (merged upstream).
     - Update patches/localedata/locales-fr.diff.
     - Update patches/localedata/tailor-iso14651_t1.diff.
     - Remove patches/localedata/fr_BE-first_weekday.diff (merged upstream).
     - Update localedata/first_weekday.diff.
     - Remove patches/alpha/submitted-dl-procinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-fpu-round.diff (merged upstream).
     - Remove patches/alpha/submitted-asm-memchr.diff (merged upstream).
     - Remove patches/alpha/submitted-sock_nonblock.diff (merged upstream).
     - Remove patcheS/alpha/submitted-epoll.diff (merged upstream).
     - Remove patches/alpha/cvs-timer_settime.diff (merged upstream).
     - Remove patches/alpha/submitted-PTR_MANGLE.diff (obsolete).
     - Remove patches/alpha/local-fcntl_h.diff (obsolete).
     - Remove patches/alpha/local-longjmp-chk.diff (obsolete).
     - Remove patches/alpha/submitted-fdatasync.diff (obsolete).
     - Remove patches/amd64/cvs-avx-tcb-alignment.diff (merged upstream).
     - Remove patches/arm/local-no-hwcap.diff (merged upstream).
     - Remove patches/arm/local-hwcap-updates.diff (merged upstream).
     - Remove patches/hppa/cvs-nptl-compat.diff (merged upstream).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/cvs-vfork.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-rtld_lock_recursive.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-getcwd.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setsid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-linkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ttyname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-getnprocs.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sched_param.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sendmsg-leak.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Remove patches/m68k/cvs-define-m68k-tls-relocations.patch (merged
       upstream).
     - Remove patches/m68k/cvs-tls-support.patch (merged upstream).
     - Remove patches/m68k/cvs-versions-def-2-12.patch (merged upstream).
     - Remove patches/mips/cvs-mips-atomic_h.diff (merged upstream).
     - Remove patches/mips/cvs-non-pic-n32-64-syscall.diff (merged upstream).
     - Remove patches/s390/cvs-makecontext.diff (merged upstream).
     - Update patches/s390/submitted-nexttowardf.diff.
     - Remove patches/sh4/local-fpscr_values.diff (merged upstream).
     - Remove patches/sh4/submitted-set_fpscr.diff (merged upstream).
     - Remove patches/sparc/cvs-sparcv9-memchr.diff (merged upstream).
     - Remove patches/sparc/submitted-epoll.diff (merged upstream).
     - Remove patches/sparc/submitted-msgrcv.diff (merged upstream).
     - Update patches/any/local-ldso-disable-hwcap.diff.
     - Remove patches/any/local-ntp-update.diff (obsolete).
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Remove patches/any/cvs-resolv-bindv6only.diff (merged upstream).
     - Remove patches/any/cvs-futimens.diff (merged upstream).
     - Remove patches/any/cvs-malloc_info-init.diff (merged upstream).
     - Remove patches/any/cvs-stat-issock.diff (merged upstream).
     - Remove patches/any/cvs-remove.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo.diff (merged upstream).
     - Remove patches/any/cvs-umount-nofollow.diff (merged upstream).
     - Remove patches/any/cvs-glob.diff (merged upstream).
     - Remove patches/any/cvs-flush-cache-textrels.diff (merged upstream).
     - Remove patches/any/submitted-group_member.diff (merged upstream).
     - Remove patches/any/cvs-redirect-throw.diff (merged upstream).
     - Remove patches/any/cvs-__block.diff (merged upstream).
     - Remove patches/any/cvs-sunrpc-license.diff (merged upstream).
     - Remove patches/any/submitted-resolv.conf-thread.diff (merged upstream).
     - Remove patches/any/cvs-audit-suid.diff (merged upstream).
     - Remove patches/any/cvs-dont-expand-dst-twice.diff (merged upstream).
     - Remove patches/any/cvs-ignore-origin-privileged.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch-alloca.diff (merged upstream).
     - Remove patches/any/cvs-qsort-race.diff from upstream (merged upstream).
     - Remove patches/any/submitted-etc-resolv.conf.diff (obsolete).
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-nis-shadow.diff (obsolete).
     - Remove patches/any/submitted-futex_robust_pi.diff (obsolete).
     - Update patches/kfreebsd/local-readdir_r.diff.
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.26, and minimal FreeBSD kernel version to
     8.0.0.  Closes: #610475.
   * Add /etc/default/nss.
   * Add patches/all/local-nis-shadow.diff to change default value of
     ADJUNCT_AS_SHADOW to TRUE. This avoid NIS password leakage
     (CVE-2010-0015), but can be changed to FALSE to accomomdate some
     NIS installations.  Closes: #566297, #566844.
   * kfreebsd/local-sysdeps.diff, kfreebsd/local-linuxthreads29.diff:
     update to revision 3262 (from glibc-bsd)  Closes: #602776.
   * debian/rules: split build-indep and build-arch targets.  Closes:
     #611926.
   * sysdeps/sparc.mk, sysdeps/sparc64.mk: build with --enable-multi-arch.
   * sysdeps/powerpc.mk, sysdeps/ppc64.mk: build with --enable-multi-arch.
   * Drop libc6-sparcv9b package on sparc/sparc64, optimizations are now
     done through multi-arch (STT_GNU_IFUNC).
   * Add patches/localedata/locale-C.diff to create a C locale.
   * Build and install the C locales in libc-bin.  Closes: #609306.
   * Bump to Standards-Version 3.9.1 (no changes).
   * Add patches/submitted-rwlock-stack-imbalance.diff to fix regression
     in pthread_rwlock_timedrdlock() and pthread_rwlock_timedwrlock().
   * Whitelist tst-makecontext3.out test on ia64, as it is new and can't
     succeed on this architecture.
   * Build depends on binutils (>= 2.21) on sparc and sparc64 to gain
     STT_GNU_IFUNC support.
   * Add patches/any/submitted-ldsodefs_rtld_debug.diff to fix
     EGLIBC_RTLD_DEBUG support on non NPTL systems.
   * Add patches/any/local-relro-mprotect.patch to not crash with PaX
     kernels.  Closes: #611195.
   * Add patches/any/cvs-dl-missing-deps.diff to output an early error
     when dependencies are missing.  Closes: #612792.
   * Add patches/any/cvs-rtld-prelink.diff to fix segfault on prelinked
     binaries.
   * Add patches/sparc/submitted-bzero.diff to fix bzero() on sparc.
   * Add patches/powerpc/local-libgcc_eh-ld.so.diff to fix bug-atexit3
     test on PowerPC.
   * Add patches/alpha/submitted-fcntl_h.diff, submitted-stackinfo.diff,
     submitted-libm-hidden.diff, submitted-statfs.diff and
     submitted-fxstatat.patch to fix FTBFS on alpha.
   * Add patches/any/local-linuxthreads-deps.diff to fix testsuite issues
     on GNU/kFreeBSD.
   * Add patches/s390/submitted-iconv-z9-109.diff to fix FTBFS on s390
     with recent binutils.
   * Add patches/hppa/submitted-fcntl_h.diff, hppa/submitted-stackinfo.diff
     and hppa/submitted-libm-hidden.diff to fix FTBFS on hppa.
 .
   [ Samuel Thibault ]
   * Add patches/any/cvs-glro_dl_debug_mask.diff to fix build without
     EGLIBC_RTLD_DEBUG support.
   * Add patches/hurd-i386/cvs-header-prot.diff,
     patches/hurd-i386/cvs-psiginfo.diff, and
     patches/hurd-i386/local-ptsname.diff to fix hurd-i386 build.
   * Update expected hurd-i386 failures with new tests.
   * Add patches/hurd-i386/local-add-needed.diff to fix getting functions from
     libmachuser and libhurduser with gold linking.
 .
   [ Steve Langasek ]
   * Set Multi-Arch: foreign on the appropriate packages.
   * debian/rules.d/debhelper.mk: set $rtlddir in the debhelper substitution
     rules, so we don't substitute an empty string.
Checksums-Sha1: 
 1df06cb9a7a4faab2bd8baf17120e8a52202db92 2702 eglibc_2.13-0exp4.dsc
 86eb6a5f77c2be9cc753ee4d74fc8c1e994d1589 23004247 eglibc_2.13.orig.tar.gz
 7849b75990f4bf588f8cae5e063e37e8c659a31d 805224 eglibc_2.13-0exp4.diff.gz
 015aa38547ac208a96502a59613b684c6a87a2fd 1880384 glibc-doc_2.13-0exp4_all.deb
 34f3b7b6df5b8cf111e7b5c77a319163704e9b57 11167106 eglibc-source_2.13-0exp4_all.deb
 5423f34be714b7cdb256011ef3afa09e89ca8953 4799960 locales_2.13-0exp4_all.deb
 5eefe74d5c89f31aea7cabe3c58d136533747da0 4308344 libc6_2.13-0exp4_amd64.deb
 6a3e84b7a096e8bb8037490c02111824d3e555bc 2629402 libc6-dev_2.13-0exp4_amd64.deb
 7712c2598d4b3eed1fbfd16a4cdf823628978113 2073002 libc6-prof_2.13-0exp4_amd64.deb
 654c04f2089ebbe08bc943b45ede2fa0a7222357 1580154 libc6-pic_2.13-0exp4_amd64.deb
 c04b53af7265ff1a72e441e606e81c246fac8464 1077544 libc-bin_2.13-0exp4_amd64.deb
 77e0bef751c9f57055a356a30665fcdf8848c2e3 209184 libc-dev-bin_2.13-0exp4_amd64.deb
 3c3ec4886a3fa119897dfd28659a4d209bfd4432 3739716 locales-all_2.13-0exp4_amd64.deb
 6cb073e4e16a500a1a45745b4ebbe5f7269eff5c 3828092 libc6-i386_2.13-0exp4_amd64.deb
 f6e0b0eb1136b41382dd541e58dd8660aac0029f 1552982 libc6-dev-i386_2.13-0exp4_amd64.deb
 fd139e20c6a295c7518659714265c7cca5fc6af4 198772 nscd_2.13-0exp4_amd64.deb
 f9467e566767a09e521b420eef98bd2634862db4 10488692 libc6-dbg_2.13-0exp4_amd64.deb
 67fc51c65b9c9044215cd1350cb3f9ddd21c7848 1180388 libc6-udeb_2.13-0exp4_amd64.udeb
 b8c003bcccfb3a5f4bac90fffc846707bed235dc 11110 libnss-dns-udeb_2.13-0exp4_amd64.udeb
 d54531263574b839f83f9611a4ddf1fc576f6dd6 19258 libnss-files-udeb_2.13-0exp4_amd64.udeb
Checksums-Sha256: 
 4a5ed879ab264312e6c459d9171044ab11be03c662dd108196cd1bc73a7f95bf 2702 eglibc_2.13-0exp4.dsc
 5e6dce233f0d0f89453b369efbc1ff360956b5d2de45c03c9bc8c52eef98868f 23004247 eglibc_2.13.orig.tar.gz
 6b5e662f843e6908f8059097f2edb3ec4fe78d6313e11c09c0e1a15519239162 805224 eglibc_2.13-0exp4.diff.gz
 93f1292b426a8d11b787dc9c8ec3baa81d6087dcbce3f1a8b4847d7c53595ccc 1880384 glibc-doc_2.13-0exp4_all.deb
 782d0055ce271d82ec5fa9ad9a59ae89b32f979baeb8f5999e30bfe81ab7d719 11167106 eglibc-source_2.13-0exp4_all.deb
 3dbb3e16bc765a48de2e8812ef61645362d03d3b70efc2c2ac46fec657ebc7a4 4799960 locales_2.13-0exp4_all.deb
 a28594a81cb800553f896d2534d4cf7584d34e14840a01152e479f1055a41b3d 4308344 libc6_2.13-0exp4_amd64.deb
 9102a051bddf3e03e66b71c587e70e28b97d3eb8ad02004bebb1448df8f7f1d5 2629402 libc6-dev_2.13-0exp4_amd64.deb
 afb2e65cfcb1f884a06deb20fe01382b2efaa0e1d1a3cd67646351b4df04c368 2073002 libc6-prof_2.13-0exp4_amd64.deb
 2c058e6a0b8259991cb35c0c21c82f2a0538770ad331cbc5d37a8f06fd49ac41 1580154 libc6-pic_2.13-0exp4_amd64.deb
 58781b0d270d3174a352bc16e1dea1a1d60bfbdbf44ce69761bc34a02666a1e8 1077544 libc-bin_2.13-0exp4_amd64.deb
 852eb45a149b3194e345c2b87328eeab66df9330682554114c1813c5dca9f92b 209184 libc-dev-bin_2.13-0exp4_amd64.deb
 050ee612056183a898b938a546f751ae5e40e96fa25a870ec65b460c27c13ea3 3739716 locales-all_2.13-0exp4_amd64.deb
 60f8e16336b01cd587932333c681c3fdd1586bf474705a4a2fec805ab4a717de 3828092 libc6-i386_2.13-0exp4_amd64.deb
 75068a99283028e7b55c20db08b72dcb3dd4e73eb105679d16268d312ae558e3 1552982 libc6-dev-i386_2.13-0exp4_amd64.deb
 d473c711e787bca44b266297630a6e1d73d29c18b440294950b3683aa4c41145 198772 nscd_2.13-0exp4_amd64.deb
 d6293ee377487f4b2ca50d370bf3af5de0f3763958fb8398ce76b9cb9f8a9111 10488692 libc6-dbg_2.13-0exp4_amd64.deb
 86588e33294c99e2c9d284f1a64a0fc35424d8b3608a044402472cc63730ca96 1180388 libc6-udeb_2.13-0exp4_amd64.udeb
 0a13b85492a67196ab6d167eb7a6959b5f959d2731a4b712e4bceb5bd3bf1b90 11110 libnss-dns-udeb_2.13-0exp4_amd64.udeb
 b612fe7e7f7990a50ac863b37f750dcb3b136b132dc3be1daa78cf19a23fddef 19258 libnss-files-udeb_2.13-0exp4_amd64.udeb
Files: 
 d1b36077f898fa8ee3b0f5f25b875701 2702 libs required eglibc_2.13-0exp4.dsc
 be63a487c69b3f4198def94d7254b250 23004247 libs required eglibc_2.13.orig.tar.gz
 4887870f8e7db84a6769c0c86327cd14 805224 libs required eglibc_2.13-0exp4.diff.gz
 33d616f04e7aec76ef5ed24a232c12e5 1880384 doc optional glibc-doc_2.13-0exp4_all.deb
 d67e26ac2e1c49e7144b6f12d22950c2 11167106 devel optional eglibc-source_2.13-0exp4_all.deb
 1b1ce55b029f027f0a8691eaaea317b6 4799960 localization standard locales_2.13-0exp4_all.deb
 a769947da9adcacc59cfa3b47e56e20a 4308344 libs required libc6_2.13-0exp4_amd64.deb
 5b9d46d7216dd8b13cafe71f5750b28f 2629402 libdevel optional libc6-dev_2.13-0exp4_amd64.deb
 8de3f2dba157ad59f43b1c63279f10cb 2073002 libdevel extra libc6-prof_2.13-0exp4_amd64.deb
 61e1797fab2008d7db5210605009c326 1580154 libdevel optional libc6-pic_2.13-0exp4_amd64.deb
 cf448e516136537225b8426fcd765201 1077544 libs required libc-bin_2.13-0exp4_amd64.deb
 4419fc8c686cb4233d1482b214489bdb 209184 libdevel optional libc-dev-bin_2.13-0exp4_amd64.deb
 71a4220dc0ba3bce74e4f39b536978ba 3739716 localization extra locales-all_2.13-0exp4_amd64.deb
 e28f0d9201c8a29bbef329506aba458e 3828092 libs optional libc6-i386_2.13-0exp4_amd64.deb
 45e006c2a8bad265346988cf9b834538 1552982 libdevel optional libc6-dev-i386_2.13-0exp4_amd64.deb
 cebe4a141432d8964de94c0e65c0cdf9 198772 admin optional nscd_2.13-0exp4_amd64.deb
 de83e623405386d9752061c135845e80 10488692 debug extra libc6-dbg_2.13-0exp4_amd64.deb
 d5a16463ed311f3d17fe788a04d214db 1180388 debian-installer extra libc6-udeb_2.13-0exp4_amd64.udeb
 fb4916d7cdb7ba418e68d2821c30b9e8 11110 debian-installer extra libnss-dns-udeb_2.13-0exp4_amd64.udeb
 831e47de32bc878cece10ecf67763808 19258 debian-installer extra libnss-files-udeb_2.13-0exp4_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNfeBCw3ao2vG823MRAlWCAJ4huyFKSy7J4nKDoEY+XK3ID2/TqQCfU8u8
6B4xmdeO5SCzbEtGu2ivGE8=
=I/9P
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 29 Mar 2011 00:39:41 GMT) Full text and rfc822 format available.

Notification sent to Pierre Ynard <linkfanel@yahoo.fr>:
Bug acknowledged by developer. (Tue, 29 Mar 2011 00:39:41 GMT) Full text and rfc822 format available.

Message #50 received at 611195-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 611195-close@bugs.debian.org
Subject: Bug#611195: fixed in eglibc 2.13-0exp5
Date: Tue, 29 Mar 2011 00:34:07 +0000
Source: eglibc
Source-Version: 2.13-0exp5

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-0exp5_all.deb
  to main/e/eglibc/eglibc-source_2.13-0exp5_all.deb
eglibc_2.13-0exp5.diff.gz
  to main/e/eglibc/eglibc_2.13-0exp5.diff.gz
eglibc_2.13-0exp5.dsc
  to main/e/eglibc/eglibc_2.13-0exp5.dsc
glibc-doc_2.13-0exp5_all.deb
  to main/e/eglibc/glibc-doc_2.13-0exp5_all.deb
libc-bin_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc-bin_2.13-0exp5_amd64.deb
libc-dev-bin_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-0exp5_amd64.deb
libc6-dbg_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-0exp5_amd64.deb
libc6-dev-i386_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-0exp5_amd64.deb
libc6-dev_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-0exp5_amd64.deb
libc6-i386_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-0exp5_amd64.deb
libc6-pic_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-0exp5_amd64.deb
libc6-prof_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-0exp5_amd64.deb
libc6-udeb_2.13-0exp5_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-0exp5_amd64.udeb
libc6_2.13-0exp5_amd64.deb
  to main/e/eglibc/libc6_2.13-0exp5_amd64.deb
libnss-dns-udeb_2.13-0exp5_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-0exp5_amd64.udeb
libnss-files-udeb_2.13-0exp5_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-0exp5_amd64.udeb
locales-all_2.13-0exp5_amd64.deb
  to main/e/eglibc/locales-all_2.13-0exp5_amd64.deb
locales_2.13-0exp5_all.deb
  to main/e/eglibc/locales_2.13-0exp5_all.deb
nscd_2.13-0exp5_amd64.deb
  to main/e/eglibc/nscd_2.13-0exp5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Mar 2011 19:04:57 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-0exp5
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 372544 408959 446503 521737 558314 561249 563724 566297 566844 588218 601126 602776 609306 609389 610475 610824 611195 611926 612792 614099 616298 617973
Changes: 
 eglibc (2.13-0exp5) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release:
     - Fix spurious warning in bswap_16() with -Wconversion.  Closes:
       #561249.
     - Add back support for m68k.  Closes: #446503, #601126.
     - Add support for NTP API 4.  Closes: #558314.
     - Fix memchr() on alpha.  Closes: #521737.
     - Add optimized string functions via STT_GNU_IFUNC on PowerPC. Closes:
       #408959.
     - Provide POSIX2008 compliant futimens().  Closes: #563724.
     - Fix auxilary cache file creation.  Closes: 588218.
     - Fix POSIX2008 compliance.  Closes: #610824.
     - Implement accurate fma() (according to C99).  Closes: #372544.
     - Build correctly with --no-add-needed.  Closes: #616298.
     - Fix SOCK_CLOEXEC value on hppa.  Closes: #617973.
     - Add inotify support on alpha.  Closes: #614099.
     - Update patches/locale/locale-print-LANGUAGE.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Remove patches/localedata/submitted-pt_BR.diff (merged upstream).
     - Update patches/localedata/locale-et_EE.diff (partially merged upstream).
     - Remove patches/localedata/locale-es_CR.diff (merged upstream).
     - Update patches/localedata/locales-fr.diff.
     - Update patches/localedata/tailor-iso14651_t1.diff.
     - Remove patches/localedata/fr_BE-first_weekday.diff (merged upstream).
     - Update localedata/first_weekday.diff.
     - Remove patches/alpha/submitted-dl-procinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-fpu-round.diff (merged upstream).
     - Remove patches/alpha/submitted-asm-memchr.diff (merged upstream).
     - Remove patches/alpha/submitted-sock_nonblock.diff (merged upstream).
     - Remove patcheS/alpha/submitted-epoll.diff (merged upstream).
     - Remove patches/alpha/cvs-timer_settime.diff (merged upstream).
     - Remove patches/alpha/submitted-PTR_MANGLE.diff (obsolete).
     - Remove patches/alpha/local-fcntl_h.diff (obsolete).
     - Remove patches/alpha/local-longjmp-chk.diff (obsolete).
     - Remove patches/alpha/submitted-fdatasync.diff (obsolete).
     - Remove patches/amd64/cvs-avx-tcb-alignment.diff (merged upstream).
     - Remove patches/arm/local-no-hwcap.diff (merged upstream).
     - Remove patches/arm/local-hwcap-updates.diff (merged upstream).
     - Remove patches/hppa/cvs-nptl-compat.diff (merged upstream).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/cvs-vfork.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-rtld_lock_recursive.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-getcwd.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setsid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-linkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ttyname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-getnprocs.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sched_param.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sendmsg-leak.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Remove patches/m68k/cvs-define-m68k-tls-relocations.patch (merged
       upstream).
     - Remove patches/m68k/cvs-tls-support.patch (merged upstream).
     - Remove patches/m68k/cvs-versions-def-2-12.patch (merged upstream).
     - Remove patches/mips/cvs-mips-atomic_h.diff (merged upstream).
     - Remove patches/mips/cvs-non-pic-n32-64-syscall.diff (merged upstream).
     - Remove patches/s390/cvs-makecontext.diff (merged upstream).
     - Update patches/s390/submitted-nexttowardf.diff.
     - Remove patches/sh4/local-fpscr_values.diff (merged upstream).
     - Remove patches/sh4/submitted-set_fpscr.diff (merged upstream).
     - Remove patches/sparc/cvs-sparcv9-memchr.diff (merged upstream).
     - Remove patches/sparc/submitted-epoll.diff (merged upstream).
     - Remove patches/sparc/submitted-msgrcv.diff (merged upstream).
     - Update patches/any/local-ldso-disable-hwcap.diff.
     - Remove patches/any/local-ntp-update.diff (obsolete).
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Remove patches/any/cvs-resolv-bindv6only.diff (merged upstream).
     - Remove patches/any/cvs-futimens.diff (merged upstream).
     - Remove patches/any/cvs-malloc_info-init.diff (merged upstream).
     - Remove patches/any/cvs-stat-issock.diff (merged upstream).
     - Remove patches/any/cvs-remove.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo.diff (merged upstream).
     - Remove patches/any/cvs-umount-nofollow.diff (merged upstream).
     - Remove patches/any/cvs-glob.diff (merged upstream).
     - Remove patches/any/cvs-flush-cache-textrels.diff (merged upstream).
     - Remove patches/any/submitted-group_member.diff (merged upstream).
     - Remove patches/any/cvs-redirect-throw.diff (merged upstream).
     - Remove patches/any/cvs-__block.diff (merged upstream).
     - Remove patches/any/cvs-sunrpc-license.diff (merged upstream).
     - Remove patches/any/submitted-resolv.conf-thread.diff (merged upstream).
     - Remove patches/any/cvs-audit-suid.diff (merged upstream).
     - Remove patches/any/cvs-dont-expand-dst-twice.diff (merged upstream).
     - Remove patches/any/cvs-ignore-origin-privileged.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch-alloca.diff (merged upstream).
     - Remove patches/any/cvs-qsort-race.diff from upstream (merged upstream).
     - Remove patches/any/submitted-etc-resolv.conf.diff (obsolete).
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-nis-shadow.diff (obsolete).
     - Remove patches/any/submitted-futex_robust_pi.diff (obsolete).
     - Update patches/kfreebsd/local-readdir_r.diff.
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.26, and minimal FreeBSD kernel version to
     8.0.0.  Closes: #610475.
   * Add /etc/default/nss.
   * Add patches/all/local-nis-shadow.diff to change default value of
     ADJUNCT_AS_SHADOW to TRUE. This avoid NIS password leakage
     (CVE-2010-0015), but can be changed to FALSE to accomomdate some
     NIS installations.  Closes: #566297, #566844.
   * kfreebsd/local-sysdeps.diff, kfreebsd/local-linuxthreads29.diff:
     update to revision 3286 (from glibc-bsd)  Closes: #602776.
   * debian/rules: split build-indep and build-arch targets.  Closes:
     #611926.
   * sysdeps/sparc.mk, sysdeps/sparc64.mk: build with --enable-multi-arch.
   * sysdeps/powerpc.mk, sysdeps/ppc64.mk: build with --enable-multi-arch.
   * Drop libc6-sparcv9b package on sparc/sparc64, optimizations are now
     done through multi-arch (STT_GNU_IFUNC).
   * Add patches/localedata/locale-C.diff to create a C locale.
   * Build and install the C locales in libc-bin.  Closes: #609306.
   * Bump to Standards-Version 3.9.1 (no changes).
   * Add patches/submitted-rwlock-stack-imbalance.diff to fix regression
     in pthread_rwlock_timedrdlock() and pthread_rwlock_timedwrlock().
   * Whitelist tst-makecontext3.out test on ia64, as it is new and can't
     succeed on this architecture.
   * Build depends on binutils (>= 2.21) on sparc and sparc64 to gain
     STT_GNU_IFUNC support.
   * Add patches/any/submitted-ldsodefs_rtld_debug.diff to fix
     EGLIBC_RTLD_DEBUG support on non NPTL systems.
   * Add patches/any/local-relro-mprotect.patch to not crash with PaX
     kernels.  Closes: #611195.
   * Add patches/any/cvs-dl-missing-deps.diff to output an early error
     when dependencies are missing.  Closes: #612792.
   * Add patches/any/cvs-rtld-prelink.diff to fix segfault on prelinked
     binaries.
   * Add patches/sparc/submitted-bzero.diff to fix bzero() on sparc.
   * Add patches/powerpc/local-libgcc_eh-ld.so.diff to fix bug-atexit3
     test on PowerPC.
   * Add patches/alpha/submitted-fcntl_h.diff, submitted-stackinfo.diff,
     submitted-libm-hidden.diff, submitted-statfs.diff and
     submitted-fxstatat.patch to fix FTBFS on alpha.
   * Add patches/any/local-linuxthreads-deps.diff to fix testsuite issues
     on GNU/kFreeBSD.
   * Add patches/s390/submitted-iconv-z9-109.diff to fix FTBFS on s390
     with recent binutils.
   * Add patches/hppa/submitted-fcntl_h.diff, hppa/submitted-stackinfo.diff
     and hppa/submitted-libm-hidden.diff to fix FTBFS on hppa.
   * Add patches/alpha/submitted-____longjmp_chk.diff to fix longjmp() with
     FORTIFY on alpha.
   * Add patches/alpha/submitted-PTR_MANGLE.diff to fix exceptions on alpha.
   * Add patches/i386/cvs-cacheinfo.diff to fix empty LEVEL*CACHE* getconf()
     entries for some CPU.  Closes: #609389.
   * Add patches/any/local-ldconfig-multiarch.diff from Steve Langasek to
     add multiarch support to ldconfig.
   * Add patches/alpha/local-strncmp.diff to remove broken alpha specific
     implementation of strncmp().
 .
   [ Samuel Thibault ]
   * Add patches/any/cvs-glro_dl_debug_mask.diff to fix build without
     EGLIBC_RTLD_DEBUG support.
   * Add patches/hurd-i386/cvs-header-prot.diff,
     patches/hurd-i386/cvs-psiginfo.diff, and
     patches/hurd-i386/local-ptsname.diff to fix hurd-i386 build.
   * Update expected hurd-i386 failures with new tests.
   * Add patches/hurd-i386/local-add-needed.diff to fix getting functions from
     libmachuser and libhurduser with gold linking.
 .
   [ Steve Langasek ]
   * Set Multi-Arch: foreign on the appropriate packages.
   * debian/rules.d/debhelper.mk: set $rtlddir in the debhelper substitution
     rules, so we don't substitute an empty string.
Checksums-Sha1: 
 d79d6c4081cb94577c9b681af1d9c18481e16d86 2702 eglibc_2.13-0exp5.dsc
 86eb6a5f77c2be9cc753ee4d74fc8c1e994d1589 23004247 eglibc_2.13.orig.tar.gz
 21f352a6ec0dc528ba739b27cb90b3d4d6cd5948 819512 eglibc_2.13-0exp5.diff.gz
 8eb1d4b03ec4d7275715108d16c89d183f4526e1 1880538 glibc-doc_2.13-0exp5_all.deb
 1ee21397c3ca3c0d9dbd289cb83746fe150edfc2 11189796 eglibc-source_2.13-0exp5_all.deb
 2b38a766946c90b5ac1bb31058c8f571c29fe079 4800404 locales_2.13-0exp5_all.deb
 44b9e6f2ff8d3f41b7b7cc398e8d05b439a0dac5 4309190 libc6_2.13-0exp5_amd64.deb
 8eb482941db7613c77492c549353116f318876b3 2629796 libc6-dev_2.13-0exp5_amd64.deb
 3c5e8ceb45153b6ffb158531c5ae4c24d0ef6012 2073530 libc6-prof_2.13-0exp5_amd64.deb
 298c65046891d6eeb8841e38094153dd65dcbf14 1580556 libc6-pic_2.13-0exp5_amd64.deb
 6fd87965d1fa9ebe2f7415002a3a4c5b1e19e694 1078022 libc-bin_2.13-0exp5_amd64.deb
 fa4df9527f202e90bc8a742639706066f3494ffc 209342 libc-dev-bin_2.13-0exp5_amd64.deb
 a4335c2945024215df008a6718dd43ef2d692870 3747528 locales-all_2.13-0exp5_amd64.deb
 32c46ec7b36c5acbd0cbc4ccf603161dd6c4bd0a 3828790 libc6-i386_2.13-0exp5_amd64.deb
 071e62adadc43e9d5f06041adec50b14e71e6fa0 1553474 libc6-dev-i386_2.13-0exp5_amd64.deb
 d0f39a42c7426c90ebffd3378c09617dd45778fc 198934 nscd_2.13-0exp5_amd64.deb
 30e999cbf5b7a964e46311f6d6e56cfaff9e1e35 10490282 libc6-dbg_2.13-0exp5_amd64.deb
 c3153c79ef83203ad935b0283821dfc6cd42a9bf 1180662 libc6-udeb_2.13-0exp5_amd64.udeb
 0b310c2ad8a8fed13570a06b83ed8ea87a7a5e27 11108 libnss-dns-udeb_2.13-0exp5_amd64.udeb
 3574c4b894bbdf25bea85f3a84499ec3027baecf 19256 libnss-files-udeb_2.13-0exp5_amd64.udeb
Checksums-Sha256: 
 8593737230d72db19ffc6a1c26383796e3b59332712fe0f23dd49c92812fc77d 2702 eglibc_2.13-0exp5.dsc
 5e6dce233f0d0f89453b369efbc1ff360956b5d2de45c03c9bc8c52eef98868f 23004247 eglibc_2.13.orig.tar.gz
 a8e0a70890b37ae4bde5357c08efcaad46fddd38133d22587311dfe0a07539d8 819512 eglibc_2.13-0exp5.diff.gz
 5dcb204dbf8d348d87cf94bd902198ce8d98784aa56c41ff3ccf3dd1ea2a9378 1880538 glibc-doc_2.13-0exp5_all.deb
 1752a12698db0244316f66538f02215cb516d0b33c87661eb404bd6f3a0f65c5 11189796 eglibc-source_2.13-0exp5_all.deb
 6c58cc7dd97517ac53baa96f10bc348d8254a4fd2471abdd0669418f9db81829 4800404 locales_2.13-0exp5_all.deb
 ecb0534ffa9cd0cd839931a0d4247b8d780a008f7059fc52f1b21a8b4e8d4930 4309190 libc6_2.13-0exp5_amd64.deb
 edd73fc3ed87ac81d621af6c29ca9830d2d1a09ad2ca95fb41791678833117b3 2629796 libc6-dev_2.13-0exp5_amd64.deb
 e0a4041c8baf01de83a114e4ce9d3a8a7f6139057dd404e8019076d2ff393793 2073530 libc6-prof_2.13-0exp5_amd64.deb
 b167b607ba98799fcf3d06019d0171b63ddae933225c91013c45ca8b8d9110b6 1580556 libc6-pic_2.13-0exp5_amd64.deb
 1442c044328fa5ee38a3c50763447cd0c823d2899f29111f709e7dc3b6e629c8 1078022 libc-bin_2.13-0exp5_amd64.deb
 b621db13f302d23fa534858da9147d2c0af4eb70693d6422aaec6625f4618aa8 209342 libc-dev-bin_2.13-0exp5_amd64.deb
 9d32ed354ca5259b58e081b4cc989abec25ab9eaecf6793f0998d1776b255838 3747528 locales-all_2.13-0exp5_amd64.deb
 64fc1601dbeda44c6d92ecb7aff082d1f83db9ea5ef8325ebf3cf879efb6ec14 3828790 libc6-i386_2.13-0exp5_amd64.deb
 58ded811bfc1ae884413d42ee5b73e221d6dd79d4656524c51bb0f529048be7c 1553474 libc6-dev-i386_2.13-0exp5_amd64.deb
 ba2898250f19a080972441b17c7a4b62cc7dac00bdad19b3cd8d2d781b0a6ed7 198934 nscd_2.13-0exp5_amd64.deb
 8116a9f6e2354b0c38f2516d0c59c06e40c7131715f79bf981f439dbe6a78524 10490282 libc6-dbg_2.13-0exp5_amd64.deb
 c6aa8dca751255befff65c949c6ec65b0c98bb87c001df69a8f1251f16cdb559 1180662 libc6-udeb_2.13-0exp5_amd64.udeb
 5c841d32daea9b3fe9e26fc65179556589cf0e76ac2063074b74d4906008261b 11108 libnss-dns-udeb_2.13-0exp5_amd64.udeb
 178dd942420d7bb32bf092275c28e13e3f924af6b194f66df19b74dd411c431c 19256 libnss-files-udeb_2.13-0exp5_amd64.udeb
Files: 
 833f44ed9e4df77eaa4367eee1ba6c95 2702 libs required eglibc_2.13-0exp5.dsc
 be63a487c69b3f4198def94d7254b250 23004247 libs required eglibc_2.13.orig.tar.gz
 61965024334a60b721ef8fb878f9010e 819512 libs required eglibc_2.13-0exp5.diff.gz
 494774eab1b2418f0c642e82f3a5e042 1880538 doc optional glibc-doc_2.13-0exp5_all.deb
 82b6e99a6d6f5ec2dfb97ff31d10b5c6 11189796 devel optional eglibc-source_2.13-0exp5_all.deb
 d312336cdda67c9ed560ded715121e92 4800404 localization standard locales_2.13-0exp5_all.deb
 6ddcd468bef0ca228e987ed91f70daee 4309190 libs required libc6_2.13-0exp5_amd64.deb
 89164c805385c4fb4ed649b224d9f707 2629796 libdevel optional libc6-dev_2.13-0exp5_amd64.deb
 dec8b02c783107ec805294522b93345e 2073530 libdevel extra libc6-prof_2.13-0exp5_amd64.deb
 c315f6cf5d60fadd151f1971048d9728 1580556 libdevel optional libc6-pic_2.13-0exp5_amd64.deb
 00189c720ffede4b37584572c5382936 1078022 libs required libc-bin_2.13-0exp5_amd64.deb
 f38a33dfbfd7442a0e43da8578f04688 209342 libdevel optional libc-dev-bin_2.13-0exp5_amd64.deb
 582b4785d14c779286c5c98b167e542c 3747528 localization extra locales-all_2.13-0exp5_amd64.deb
 ac589d6fe42b160e336ee46bab2ee09a 3828790 libs optional libc6-i386_2.13-0exp5_amd64.deb
 45399af3fe6dfe313ec91c9da46b84be 1553474 libdevel optional libc6-dev-i386_2.13-0exp5_amd64.deb
 fd16919e5aab0306425ebaa0ca5cbb3d 198934 admin optional nscd_2.13-0exp5_amd64.deb
 78734fe93faa444a9cbb19354c9a729b 10490282 debug extra libc6-dbg_2.13-0exp5_amd64.deb
 f03a5b93f7fd5c6c3283442d997b328a 1180662 debian-installer extra libc6-udeb_2.13-0exp5_amd64.udeb
 77dfc66c5ccfe2ec5bad24cdbdf1b8c3 11108 debian-installer extra libnss-dns-udeb_2.13-0exp5_amd64.udeb
 3c94ac2deb88b5b3a381f0c49e18a46d 19256 debian-installer extra libnss-files-udeb_2.13-0exp5_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNkQ7bw3ao2vG823MRAkCPAJ0TR9oblIx1s8YHgxpC0yzmdy/njwCeIYRG
B6Y4UtEgQ1hEypW7lVAN4f4=
=LoO+
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 01 May 2011 19:51:48 GMT) Full text and rfc822 format available.

Notification sent to Pierre Ynard <linkfanel@yahoo.fr>:
Bug acknowledged by developer. (Sun, 01 May 2011 19:51:48 GMT) Full text and rfc822 format available.

Message #55 received at 611195-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 611195-close@bugs.debian.org
Subject: Bug#611195: fixed in eglibc 2.13-1
Date: Sun, 01 May 2011 19:48:42 +0000
Source: eglibc
Source-Version: 2.13-1

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-1_all.deb
  to main/e/eglibc/eglibc-source_2.13-1_all.deb
eglibc_2.13-1.diff.gz
  to main/e/eglibc/eglibc_2.13-1.diff.gz
eglibc_2.13-1.dsc
  to main/e/eglibc/eglibc_2.13-1.dsc
glibc-doc_2.13-1_all.deb
  to main/e/eglibc/glibc-doc_2.13-1_all.deb
libc-bin_2.13-1_amd64.deb
  to main/e/eglibc/libc-bin_2.13-1_amd64.deb
libc-dev-bin_2.13-1_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-1_amd64.deb
libc6-dbg_2.13-1_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-1_amd64.deb
libc6-dev-i386_2.13-1_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-1_amd64.deb
libc6-dev_2.13-1_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-1_amd64.deb
libc6-i386_2.13-1_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-1_amd64.deb
libc6-pic_2.13-1_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-1_amd64.deb
libc6-prof_2.13-1_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-1_amd64.deb
libc6-udeb_2.13-1_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-1_amd64.udeb
libc6_2.13-1_amd64.deb
  to main/e/eglibc/libc6_2.13-1_amd64.deb
libnss-dns-udeb_2.13-1_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-1_amd64.udeb
libnss-files-udeb_2.13-1_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-1_amd64.udeb
locales-all_2.13-1_amd64.deb
  to main/e/eglibc/locales-all_2.13-1_amd64.deb
locales_2.13-1_all.deb
  to main/e/eglibc/locales_2.13-1_all.deb
nscd_2.13-1_amd64.deb
  to main/e/eglibc/nscd_2.13-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 May 2011 19:53:41 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 372544 408959 446503 521737 558314 561249 563724 566297 566844 588218 601126 602776 609306 609389 610475 610824 611195 611926 612792 614099 616298 616627 617973 620203 624515
Changes: 
 eglibc (2.13-1) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release:
     - Fix spurious warning in bswap_16() with -Wconversion.  Closes:
       #561249.
     - Add back support for m68k.  Closes: #446503, #601126.
     - Add support for NTP API 4.  Closes: #558314.
     - Fix memchr() on alpha.  Closes: #521737.
     - Add optimized string functions via STT_GNU_IFUNC on PowerPC. Closes:
       #408959.
     - Provide POSIX2008 compliant futimens().  Closes: #563724.
     - Fix auxilary cache file creation.  Closes: 588218.
     - Fix POSIX2008 compliance.  Closes: #610824.
     - Implement accurate fma() (according to C99).  Closes: #372544.
     - Build correctly with --no-add-needed.  Closes: #616298.
     - Fix SOCK_CLOEXEC value on hppa.  Closes: #617973.
     - Add inotify support on alpha.  Closes: #614099.
     - Update patches/locale/locale-print-LANGUAGE.diff.
     - Update patches/localedata/sort-UTF8-first.diff.
     - Remove patches/localedata/submitted-pt_BR.diff (merged upstream).
     - Update patches/localedata/locale-et_EE.diff (partially merged upstream).
     - Remove patches/localedata/locale-es_CR.diff (merged upstream).
     - Update patches/localedata/locales-fr.diff.
     - Update patches/localedata/tailor-iso14651_t1.diff.
     - Remove patches/localedata/fr_BE-first_weekday.diff (merged upstream).
     - Update localedata/first_weekday.diff.
     - Remove patches/alpha/submitted-dl-procinfo.diff (merged upstream).
     - Remove patches/alpha/submitted-fpu-round.diff (merged upstream).
     - Remove patches/alpha/submitted-asm-memchr.diff (merged upstream).
     - Remove patches/alpha/submitted-sock_nonblock.diff (merged upstream).
     - Remove patcheS/alpha/submitted-epoll.diff (merged upstream).
     - Remove patches/alpha/cvs-timer_settime.diff (merged upstream).
     - Remove patches/alpha/submitted-PTR_MANGLE.diff (obsolete).
     - Remove patches/alpha/local-fcntl_h.diff (obsolete).
     - Remove patches/alpha/local-longjmp-chk.diff (obsolete).
     - Remove patches/alpha/submitted-fdatasync.diff (obsolete).
     - Remove patches/amd64/cvs-avx-tcb-alignment.diff (merged upstream).
     - Remove patches/arm/local-no-hwcap.diff (merged upstream).
     - Remove patches/arm/local-hwcap-updates.diff (merged upstream).
     - Remove patches/hppa/cvs-nptl-compat.diff (merged upstream).
     - Update patches/hppa/local-stack-grows-up.diff.
     - Remove patches/hppa/cvs-vfork.diff (merged upstream).
     - Remove patches/hurd-i386/submitted-rtld_lock_recursive.diff (merged
       upstream).
     - Remove patches/hurd-i386/cvs-getcwd.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-setsid.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-linkat.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-ttyname.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-getnprocs.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-select.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sched_param.diff (merged upstream).
     - Remove patches/hurd-i386/cvs-sendmsg-leak.diff (merged upstream).
     - Update patches/i386/local-pthread_cond_wait.diff.
     - Remove patches/m68k/cvs-define-m68k-tls-relocations.patch (merged
       upstream).
     - Remove patches/m68k/cvs-tls-support.patch (merged upstream).
     - Remove patches/m68k/cvs-versions-def-2-12.patch (merged upstream).
     - Remove patches/mips/cvs-mips-atomic_h.diff (merged upstream).
     - Remove patches/mips/cvs-non-pic-n32-64-syscall.diff (merged upstream).
     - Remove patches/s390/cvs-makecontext.diff (merged upstream).
     - Update patches/s390/submitted-nexttowardf.diff.
     - Remove patches/sh4/local-fpscr_values.diff (merged upstream).
     - Remove patches/sh4/submitted-set_fpscr.diff (merged upstream).
     - Remove patches/sparc/cvs-sparcv9-memchr.diff (merged upstream).
     - Remove patches/sparc/submitted-epoll.diff (merged upstream).
     - Remove patches/sparc/submitted-msgrcv.diff (merged upstream).
     - Update patches/any/local-ldso-disable-hwcap.diff.
     - Remove patches/any/local-ntp-update.diff (obsolete).
     - Update patches/any/local-no-pagesize.diff.
     - Update patches/any/submitted-longdouble.diff.
     - Remove patches/any/cvs-resolv-bindv6only.diff (merged upstream).
     - Remove patches/any/cvs-futimens.diff (merged upstream).
     - Remove patches/any/cvs-malloc_info-init.diff (merged upstream).
     - Remove patches/any/cvs-stat-issock.diff (merged upstream).
     - Remove patches/any/cvs-remove.diff (merged upstream).
     - Remove patches/any/cvs-getaddrinfo.diff (merged upstream).
     - Remove patches/any/cvs-umount-nofollow.diff (merged upstream).
     - Remove patches/any/cvs-glob.diff (merged upstream).
     - Remove patches/any/cvs-flush-cache-textrels.diff (merged upstream).
     - Remove patches/any/submitted-group_member.diff (merged upstream).
     - Remove patches/any/cvs-redirect-throw.diff (merged upstream).
     - Remove patches/any/cvs-__block.diff (merged upstream).
     - Remove patches/any/cvs-sunrpc-license.diff (merged upstream).
     - Remove patches/any/submitted-resolv.conf-thread.diff (merged upstream).
     - Remove patches/any/cvs-audit-suid.diff (merged upstream).
     - Remove patches/any/cvs-dont-expand-dst-twice.diff (merged upstream).
     - Remove patches/any/cvs-ignore-origin-privileged.diff (merged upstream).
     - Remove patches/any/cvs-fnmatch-alloca.diff (merged upstream).
     - Remove patches/any/cvs-qsort-race.diff from upstream (merged upstream).
     - Remove patches/any/submitted-etc-resolv.conf.diff (obsolete).
     - Update patches/any/submitted-bits-fcntl_h-at.diff.
     - Remove patches/any/submitted-nis-shadow.diff (obsolete).
     - Remove patches/any/submitted-futex_robust_pi.diff (obsolete).
     - Update patches/kfreebsd/local-readdir_r.diff.
   * debian/sysdeps/*.mk, debhelper.in/libc.preinst: bump minimal Linux
     kernel version to 2.6.26, and minimal FreeBSD kernel version to
     8.0.0.  Closes: #610475.
   * Add /etc/default/nss.
   * Add patches/all/local-nis-shadow.diff to change default value of
     ADJUNCT_AS_SHADOW to TRUE. This avoid NIS password leakage
     (CVE-2010-0015), but can be changed to FALSE to accomomdate some
     NIS installations.  Closes: #566297, #566844.
   * kfreebsd/local-sysdeps.diff, kfreebsd/local-linuxthreads29.diff:
     update to revision 3286 (from glibc-bsd)  Closes: #602776.
   * debian/rules: split build-indep and build-arch targets.  Closes:
     #611926.
   * sysdeps/sparc.mk, sysdeps/sparc64.mk: build with --enable-multi-arch.
   * sysdeps/powerpc.mk, sysdeps/ppc64.mk: build with --enable-multi-arch.
   * Drop libc6-sparcv9b package on sparc/sparc64, optimizations are now
     done through multi-arch (STT_GNU_IFUNC).
   * Add patches/localedata/locale-C.diff to create a C locale.
   * Build and install the C locales in libc-bin.  Closes: #609306.
   * Bump to Standards-Version 3.9.1 (no changes).
   * Add patches/submitted-rwlock-stack-imbalance.diff to fix regression
     in pthread_rwlock_timedrdlock() and pthread_rwlock_timedwrlock().
   * Whitelist tst-makecontext3.out test on ia64, as it is new and can't
     succeed on this architecture.
   * Build depends on binutils (>= 2.21) on sparc and sparc64 to gain
     STT_GNU_IFUNC support.
   * Add patches/any/submitted-ldsodefs_rtld_debug.diff to fix
     EGLIBC_RTLD_DEBUG support on non NPTL systems.
   * Add patches/any/local-relro-mprotect.patch to not crash with PaX
     kernels.  Closes: #611195.
   * Add patches/any/cvs-dl-missing-deps.diff to output an early error
     when dependencies are missing.  Closes: #612792.
   * Add patches/any/cvs-rtld-prelink.diff to fix segfault on prelinked
     binaries.
   * Add patches/sparc/submitted-bzero.diff to fix bzero() on sparc.
   * Add patches/powerpc/local-libgcc_eh-ld.so.diff to fix bug-atexit3
     test on PowerPC.
   * Add patches/alpha/submitted-fcntl_h.diff, submitted-stackinfo.diff,
     submitted-libm-hidden.diff, submitted-statfs.diff and
     submitted-fxstatat.patch to fix FTBFS on alpha.
   * Add patches/any/local-linuxthreads-deps.diff to fix testsuite issues
     on GNU/kFreeBSD.
   * Add patches/s390/cvs-iconv-z9-109.diff to fix FTBFS on s390 with
     recent binutils.
   * Add patches/hppa/submitted-fcntl_h.diff, hppa/submitted-stackinfo.diff
     and hppa/submitted-libm-hidden.diff to fix FTBFS on hppa.
   * Add patches/alpha/submitted-____longjmp_chk.diff to fix longjmp() with
     FORTIFY on alpha.
   * Add patches/alpha/submitted-PTR_MANGLE.diff to fix exceptions on alpha.
   * Add patches/i386/cvs-cacheinfo.diff to fix empty LEVEL*CACHE* getconf()
     entries for some CPU.  Closes: #609389.
   * Add patches/any/local-ldconfig-multiarch.diff from Steve Langasek to
     add multiarch support to ldconfig.
   * Add patches/alpha/local-strncmp.diff to remove broken alpha specific
     implementation of strncmp().
   * Add patches/alpha/submitted-sysconf-cache.diff to fix sysconf()
     LEVEL*CACHE* entries.  Closes: #620203.
   * Add patches/i386/cvs-memmove-static.diff to fix static linking
     with FORTIFY.
   * Add patches/amd64/cvs-getcontext.diff to fix getcontext() on amd64.
   * Add patches/any/cvs-fopen.diff to fix fopen() with 7 bytes string.
   * Add patches/amd64/cvs-memset.diff to fix memset() on amd64 for
     misaligned blocks larger than 144 Bytes.
   * Add patches/any/local-dl-deps.diff to workaround assert triggered by
     some binaries.  Closes: #624515.
   * Add patches/any/submitted-fwrite-wur.diff to not warn about unused
     result for fwrite().  Closes: #616627.
 .
   [ Samuel Thibault ]
   * Add patches/any/cvs-glro_dl_debug_mask.diff to fix build without
     EGLIBC_RTLD_DEBUG support.
   * Add patches/hurd-i386/cvs-header-prot.diff,
     patches/hurd-i386/cvs-psiginfo.diff, and
     patches/hurd-i386/local-ptsname.diff to fix hurd-i386 build.
   * Update expected hurd-i386 failures with new tests.
   * Add patches/hurd-i386/submitted-add-needed.diff to fix getting functions
     from libmachuser and libhurduser with gold linking.
   * Add patches/hurd-i386/local-ED.diff to avoid letting the
     (standard-compliant!) prank bring FTBFSes.
   * Add defining LIBPTHREAD_VERSION to
     patches/hurd-i386/local-pthread_posix-option.diff
 .
   [ Steve Langasek ]
   * Set Multi-Arch: foreign on the appropriate packages.
   * debian/rules.d/debhelper.mk: set $rtlddir in the debhelper substitution
     rules, so we don't substitute an empty string.
Checksums-Sha1: 
 d46927d491ba942a4860bb0d56bd6e8ded3beaf1 2686 eglibc_2.13-1.dsc
 b88ab27e09596486de0d4899049e60b875c6db67 824223 eglibc_2.13-1.diff.gz
 220cdcee34b7cd81b636b3ec7d181aab0b6c9d84 1880804 glibc-doc_2.13-1_all.deb
 1956efb3fc7e42633dd079bb154f24fda05b9f4c 11160008 eglibc-source_2.13-1_all.deb
 7629fe4254e147b95b6c94d05651d96e7a071393 4800662 locales_2.13-1_all.deb
 9a9b70c4ae8aa48bbfbc669ab5bce3fe34210639 4309220 libc6_2.13-1_amd64.deb
 5ffe6225ab97ddc06b124057f33acddb17ad0ba4 2629846 libc6-dev_2.13-1_amd64.deb
 a35b8b4f4db2478718f2ccc00403fa5af302dc9b 2073572 libc6-prof_2.13-1_amd64.deb
 711a7c2e5550e0766152f4800d86374c51c26404 1579296 libc6-pic_2.13-1_amd64.deb
 377ff4a967a927fc51950e5c9c2224bc5ad943c4 1078422 libc-bin_2.13-1_amd64.deb
 82b2c934ae333127d0252886002fc3850f1a4c1a 209538 libc-dev-bin_2.13-1_amd64.deb
 4e300eb85b08df0bdf7ca09754e292cb87a7173c 3726802 locales-all_2.13-1_amd64.deb
 ca1e1a5604e2758c69eda5a439ca9b9cb4fc4b4f 3829170 libc6-i386_2.13-1_amd64.deb
 526922fd888760fbaaaad3f2d98617937034a9a3 1554184 libc6-dev-i386_2.13-1_amd64.deb
 fc38a1bab6cd63622a5edf205b06882459a5f5a0 199194 nscd_2.13-1_amd64.deb
 02f07de617200d7aec6d57bcafee3bbc6eb9a1d3 10490624 libc6-dbg_2.13-1_amd64.deb
 2882a3455b8283bb1a0de21e6fd8c677d6d7da4d 1180584 libc6-udeb_2.13-1_amd64.udeb
 cf36f8fa9229b8ee1b60e83d648bfb3c074f1ee1 11106 libnss-dns-udeb_2.13-1_amd64.udeb
 ec84d9db43d9948b3ede230212316895187d348c 19252 libnss-files-udeb_2.13-1_amd64.udeb
Checksums-Sha256: 
 81ca6cdaa6df0c7a58d949d32450b42e28ee1dd40441876045e1fb6bc3a8cbcf 2686 eglibc_2.13-1.dsc
 f65b848ac4fd7c05ad1a9ed52e3af2fd05506905338e7565cc79dc10a8fd6725 824223 eglibc_2.13-1.diff.gz
 afe4030be5d60edb0e5a9c6b0e4909d667d8d13efbc7d467b4170c1290993fd0 1880804 glibc-doc_2.13-1_all.deb
 156a277fc2e79bfc81deaef304669eb45050665fa5b78e4a2e26494af6c90a77 11160008 eglibc-source_2.13-1_all.deb
 75ec9f75cf68811cc095a4e1c93531f41eabd1abaf596778359fb61cbdf4556e 4800662 locales_2.13-1_all.deb
 edde16335b81ecd77aafc6d29c9a614156a38f23f8201075b60bf9a2f906a2eb 4309220 libc6_2.13-1_amd64.deb
 a8bedbd5566f5f274d9f8e8f816e58678a40f92752d7a1e6d988742be5c5a2d4 2629846 libc6-dev_2.13-1_amd64.deb
 3f0259d9982bba3ed7e6c95a953ccaac109f0f3ae9d6c79e56839b3aac3c3907 2073572 libc6-prof_2.13-1_amd64.deb
 9498a1dda95261e68e7fdd5398ee3268a4de760377c5b97ae4beea7c3e63ed8c 1579296 libc6-pic_2.13-1_amd64.deb
 c304bb903936b0d00a19ae0c85febebbccc0f2120d8103431f8a989ed9a196d8 1078422 libc-bin_2.13-1_amd64.deb
 70b470ae3f8cf72e0678c3e77032ed7bbf0660f731385309b5394b8a5888f65f 209538 libc-dev-bin_2.13-1_amd64.deb
 c9d4313306395c53c0d0698dee8b77de252f4094ec6b72877135d9261e1c430c 3726802 locales-all_2.13-1_amd64.deb
 827d148ac888d94ffa88237bffba4ac6b3878c916f36de06b16f5af7c9149e19 3829170 libc6-i386_2.13-1_amd64.deb
 880303ea2e3f8e4c9e64b885b1f6bf9b9e499036626f511db21fb79752eb4f97 1554184 libc6-dev-i386_2.13-1_amd64.deb
 00466b99fe57ba782cff2d18f9f3c8bb2cf0af799187a2866580710d85e4b480 199194 nscd_2.13-1_amd64.deb
 3b4c180b9ade8fbcb450f4b1bb23963975401d3817dc5b3aa4d1da49afae20dd 10490624 libc6-dbg_2.13-1_amd64.deb
 f20c93473562cd10ef16b51ab464524ec2ea6d96923d84ee876201f1b89b2bfc 1180584 libc6-udeb_2.13-1_amd64.udeb
 6c6434694889549d25a90d3806e855be6397e9fe67f083f572739013c470dfa6 11106 libnss-dns-udeb_2.13-1_amd64.udeb
 9f3f469168a778d2c1be86d06d85dd9755c4511ff5380084a0a4af31065e82a6 19252 libnss-files-udeb_2.13-1_amd64.udeb
Files: 
 c919151c59fa7594cc41aa23fa02bc15 2686 libs required eglibc_2.13-1.dsc
 cf3c608e691ba0495a0cbbb014c90c6a 824223 libs required eglibc_2.13-1.diff.gz
 54601baed9a19e812220ae0fcb5ec818 1880804 doc optional glibc-doc_2.13-1_all.deb
 f049a529c94288e2c36adeb30a4759c5 11160008 devel optional eglibc-source_2.13-1_all.deb
 76479821fdb120a9e1719de10e508027 4800662 localization standard locales_2.13-1_all.deb
 a7ea81c89f50e9ff3848a4f34b031dac 4309220 libs required libc6_2.13-1_amd64.deb
 c1e1446ed7df23d7c2c254474b75431f 2629846 libdevel optional libc6-dev_2.13-1_amd64.deb
 7be57d41ec7786bdc7413187ecc70ff9 2073572 libdevel extra libc6-prof_2.13-1_amd64.deb
 2c9f662f47284cd88e7f24894fa0bc82 1579296 libdevel optional libc6-pic_2.13-1_amd64.deb
 dc9e652391419e0e58cea372b903e520 1078422 libs required libc-bin_2.13-1_amd64.deb
 63d15ed68b62b4184843806e79406496 209538 libdevel optional libc-dev-bin_2.13-1_amd64.deb
 074c2b4270930228c18560c99f23314a 3726802 localization extra locales-all_2.13-1_amd64.deb
 8f0c2c22238ecbbc605c6c2373f77feb 3829170 libs optional libc6-i386_2.13-1_amd64.deb
 c6ff2fc1d8f4fc25898801a2f96d245d 1554184 libdevel optional libc6-dev-i386_2.13-1_amd64.deb
 2736ec1c3c85c3cd6b6307f7b07f076a 199194 admin optional nscd_2.13-1_amd64.deb
 b69f6db7989fe4aab03b8b4c26253a13 10490624 debug extra libc6-dbg_2.13-1_amd64.deb
 ff0f7d40ce5db19d20a7baa57fc6b6e6 1180584 debian-installer extra libc6-udeb_2.13-1_amd64.udeb
 8344e3635c43598b78a47857ba392a7a 11106 debian-installer extra libnss-dns-udeb_2.13-1_amd64.udeb
 7da4e5df87fca0e83f677cd6da5acbfe 19252 debian-installer extra libnss-files-udeb_2.13-1_amd64.udeb
Package-Type: udeb


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNvbKyw3ao2vG823MRAhqJAJ43PikOrYV2vuf4M7AHi3bsFYZ64wCeNHNO
cUn83lTdi311/tHlc9Qy7Ik=
=rLTa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 May 2011 07:41:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:43:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.